#!/usr/bin/env python3
 
import os
import re
import sys
from github import Github

if len(sys.argv) < 3:
    print("Usage: comment-pr.py <repoOwner/repoName> <reviewAppUrl>")
    sys.exit(1)

repo_name = sys.argv[1]
review_app_url = sys.argv[2]

PR_NUMBER = int(os.getenv('PR_NUMBER', 0))
GITHUB_TOKEN = os.getenv('GITHUB_TOKEN')

if PR_NUMBER==0:
    print('Expected PR_NUMBER environment var with the pull request number (int)')
    sys.exit(2)

if GITHUB_TOKEN is None:
    print('Expected GITHUB_TOKEN environment var with a valid GitHub token')
    sys.exit(2)

g = Github(GITHUB_TOKEN)
repo = g.get_repo(repo_name)
pr = repo.get_pull(PR_NUMBER)
pr.create_issue_comment(f'Review App is ready: {review_app_url}')

print(f'Added a comment to https://github.com/{repo_name}/pull/{PR_NUMBER}')