import '../src/assets/css/fonts.css'
import React from 'react';
import { configure, addParameters, addDecorator } from '@storybook/react';
import { withTests } from '@storybook/addon-jest';
import { DocsPage, DocsContainer } from '@storybook/addon-docs/blocks';

import results from '../.jest-test-results.json';

addDecorator(
  withTests({
    results,
  })
);

addParameters({
  backgrounds: [
    { name: 'Engagement Platform', value: '#ffffff', default: true },
    { name: 'Hackers Mind', value: '#121d24' },
  ],
});

addParameters({
  docs: {
    container: DocsContainer,
    page: DocsPage,
  },
});

configure(() => {
    const req = require.context('../src', true, /.stories.js$/);
    req.keys().forEach((filename) => req(filename));
  },
  module
);