# Elevate Security Component Library

<em>A component library for sharing Elevate Components between each of our projects</em>

[![npm version](https://badge.fury.io/js/%40elevate_security%2Felevate-component-library.svg)](https://badge.fury.io/js/%40elevate_security%2Felevate-component-library)
[![CircleCI](https://circleci.com/gh/ElevateSecurity/elevate-component-library.svg?style=svg&circle-token=9db223b12e00ed2e1729fbaf173f2168163bd7e1)](https://circleci.com/gh/ElevateSecurity/elevate-component-library)

[Demo App (Story Book)](https://s3.elevatesecurity-staging.com/component-library/master/index.html)

<hr/>

## Installation

```shell
npm install @elevate_security/elevate-component-library --save
```

## Usage

```javascript
cont Elevate =  require('@elevate_security/elevate-component-library')

render() {
  return (
    <Elevate.Typography.H1>This is the tab content 1</Elevate.Typography.H1>
  )
}
```

## Components

* Card
* Icon
* Link
* Typography
* Layout
* Gauge
* LineBarChart
* Axis
* Line
* Input
* Button
* ButtonLink
* Tabs
* TimelineBlock
* ButtonIcon
* Breadcrumb
* Image
* Avatar
* Header
* GlobalStyle
* Logo
* Modal
* RadioButton

## Development

* Clone this repo
* `npm install`
* To debug or demo in storybook: `npm run-script storybook`
* To bootstrap work on a new componentnpm: `run-script create [component name]`

## Local Development/importing into other applications
* In component library, run: `npm link`

* Take the generated link and import into your parent project like so:
```
const Elevate = require('/usr/local/lib/node_modules/@elevate_security/elevate-component-library')

const { Logo } = Elevate
```
 
## Deploying to NPM

In a release branch, use `npm version` to bump the version in `package.json`, commit and tag altogether.

```shell
VERSION=1.0.6
npm version $VERSION
git push origin : "v${VERSION}"
```

Then create a Pull Request from your release branch to master.