module.exports = {
  rootDir: './',
  verbose: true,
  collectCoverage: true,
  collectCoverageFrom: ['./src/**/*.js'],
  moduleFileExtensions: [
    'js',
    'css'
  ],
  moduleNameMapper: {
    '\\.(css|sass)$': 'identity-obj-proxy'
  },
  transform: {
    '^.+\\.js$': 'babel-jest',
    '\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$': '<rootDir>/fileTransformer.js'
  },
  setupFiles: [
    '<rootDir>/test/setup.js'
  ],
  snapshotSerializers: [
    'enzyme-to-json/serializer'
  ],
  testResultsProcessor: 'jest-sonar-reporter',
  coverageDirectory: 'coverage'
}
