import { shallow, mount } from 'enzyme'
import React from 'react'

import AppliedFilters from './index'

const appliedFilters = [
  {
    key: 'action',
    value: 'malware',
    original: 'malware'
  }
]
test('Render an AppliedFilters', () => {
  const wrapper = shallow(<AppliedFilters appliedFilters={appliedFilters} />)
  expect(wrapper).toMatchSnapshot()
})

test('Render applied filters items', () => {
  const mockCallback = jest.fn()
  const wrapper = mount(
    <AppliedFilters appliedFilters={appliedFilters} handleRemoveFilter={mockCallback} />
  )
  const clickableItem = wrapper.find('[data-test-id="remove-filter-handler"]').at(0)
  clickableItem.simulate('click')
  expect(mockCallback).toHaveBeenCalled()
})
