/* eslint-disable react/no-unescaped-entities */
/* global test shallow expect */

import React from 'react'

import Avatar from './index'


const makeSimpleShallow = (component) => {
  const wrapper = shallow(component)
  expect(wrapper).toMatchSnapshot()
}

test('render Avatar', () => {
  makeSimpleShallow(
    <Avatar name="Whatever Name" />
  )
})

test('Render Avatar with name and image link', () => {
  makeSimpleShallow(
    <Avatar
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})

test('Render Avatar with name and image link with square type', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})

test('Render Avatar with name and image link with xsm size', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      size="xsm"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})


test('Render Avatar with name and image link with sm size', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      size="sm"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})

test('Render Avatar with name and image link with md size', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      size="sm"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})

test('Render Avatar with name and image link with lg size', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      size="lg"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})

test('Render Avatar with name and image link with xlg size', () => {
  makeSimpleShallow(
    <Avatar
      type="square"
      size="xlg"
      name="Whatever Name"
      src="https://via.placeholder.com/150"
    />
  )
})
