/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'


// Components
import Avatar from './index'

addDecorator(withA11y)

const imagePlaceholder = size => (`https://via.placeholder.com/${size}`)

storiesOf('Avatar', module)
  .add('Default Avatar', () => (<Avatar name="Falconiere Rodrigues" />))
// Rounded avatar without image
  .add('Rounded avatar with "xlg" size (48px) and name', () => (<Avatar size="xlg" name="Whatever Name" />))
  .add('Rounded avatar with "lg" size (40px) and name', () => (<Avatar size="lg" name="Whatever Name" />))
  .add('Rounded avatar with "md" size (32px) and name', () => (<Avatar size="md" name="Whatever Name" />))
  .add('Rounded avatar with "sm" size (24px) and name', () => (<Avatar size="sm" name="Whatever Name" />))
  .add('Rounded avatar with "xsm" size (20px) and name', () => (<Avatar size="xsm" name="Whatever Name" />))

// Rounded avatar with image
  .add('Rounded avatar with "xlg" size (48px), name and image', () => (<Avatar size="xlg" name="Whatever Name" src={imagePlaceholder(48)} />))
  .add('Rounded avatar with "lg" size (40px), name and image', () => (<Avatar size="lg" name="Whatever Name" src={imagePlaceholder(40)} />))
  .add('Rounded avatar with "md" size (32px), name and image', () => (<Avatar size="md" name="Whatever Name" src={imagePlaceholder(32)} />))
  .add('Rounded avatar with "sm" size (24px), name and image', () => (<Avatar size="sm" name="Whatever Name" src={imagePlaceholder(24)} />))
  .add('Rounded avatar with "xsm" size (20px), name and image', () => (<Avatar size="xsm" name="Whatever Name" src={imagePlaceholder(20)} />))


// Square avatar without image
  .add('Square avatar with "xlg" size (48px) and name', () => (<Avatar type="square" size="xlg" name="Whatever Name" />))
  .add('Square avatar with "lg" size (40px) and name', () => (<Avatar type="square" size="lg" name="Whatever Name" />))
  .add('Square avatar with "md" size (32px) and name', () => (<Avatar type="square" size="md" name="Whatever Name" />))
  .add('Square avatar with "sm" size (24px) and name', () => (<Avatar type="square" size="sm" name="Whatever Name" />))
  .add('Square avatar with "xsm" size (20px) and name', () => (<Avatar type="square" size="xsm" name="Whatever Name" />))

// Square avatar with image
  .add('Square avatar with "xlg" size (48px), name and image', () => (<Avatar type="square" size="xlg" name="Whatever Name" src={imagePlaceholder(48)} />))
  .add('Square avatar with "lg" size (40px), name and image', () => (<Avatar type="square" size="lg" name="Whatever Name" src={imagePlaceholder(40)} />))
  .add('Square avatar with "md" size (32px), name and image', () => (<Avatar type="square" size="md" name="Whatever Name" src={imagePlaceholder(32)} />))
  .add('Square avatar with "sm" size (24px), name and image', () => (<Avatar type="square" size="sm" name="Whatever Name" src={imagePlaceholder(24)} />))
  .add('Square avatar with "xsm" size (20px), name and image', () => (<Avatar type="square" size="xsm" name="Whatever Name" src={imagePlaceholder(20)} />))
