import styled from 'styled-components'
import styledMap from 'styled-map'

// Theme
import theme from 'theme'


const AvatarStyled = styled.div`
  display: inline-block;
  width:${styledMap('size', theme.avatar.size)};
  height:${styledMap('size', theme.avatar.size)};
  background-color:${({ color }) => color};
  overflow: hidden;
  color:${theme.colors.white};
  border-radius:${({ type }) => (type === 'round' ? '50%' : '12.5%')};
  font-weight: ${theme.text.fontWeight.default};
  text-align: center;
  font-size:${styledMap('size', theme.avatar.fontSize)};
  line-height:${styledMap('size', theme.avatar.size)};
  img{
    display: block;
    width: 100%;
  }
`
export default AvatarStyled
export {
  AvatarStyled
}
