/* global test shallow expect */

import React from 'react'
import { scaleLinear } from 'd3-scale'

// Components
import Axis from './index'

const scale = scaleLinear()
  .domain([0, 100])
  .range([0, 400])

const props = {
  orientation: 'bottom',
  scale,
  tickColorScale: null,
  tickPadding: [7],
  tickValues: [0, 20, 40, 60, 80, 100],
  tickSize: [7],
  translate: 'translate(10, 10)'
}

test('render an Axis', () => {
  const wrapper = shallow(<Axis {...props} />)
  expect(wrapper).toMatchSnapshot()
})
