/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { scaleLinear } from 'd3-scale'

// Components
import Axis from './index'

addDecorator(withA11y)

const scale = scaleLinear()
  .domain([0, 100])
  .range([0, 400])

const axisProps = {
  orientation: 'bottom',
  scale,
  showAxis: true,
  tickColorScale: null,
  tickPadding: [7],
  tickValues: [0, 20, 40, 60, 80, 100],
  tickSize: [7],
  translate: 'translate(10, 10)'
}

storiesOf('Charts/Axis', module).add('Example', () => (
  <svg height="500" width="500">
    <Axis {...axisProps} />
  </svg>
))
