import React from 'react'
import PropTypes from 'prop-types'

import { BadgeRounded, BadgeRectangular } from './Badge.styles'

const SHAPE = {
  ROUND: 'round',
  RECTANGLE: 'rectangle'
}

const Badge = ({ theme, text, shape, className }) => (
  shape === SHAPE.ROUND
    ? <BadgeRounded theme={theme} className={className}>{text}</BadgeRounded>
    : <BadgeRectangular theme={theme} className={className}>{text}</BadgeRectangular>
)

Badge.propTypes = {
  theme: PropTypes.string,
  text: PropTypes.string.isRequired,
  shape: PropTypes.string,
  className: PropTypes.string
}

Badge.defaultProps = {
  theme: 'gray',
  shape: SHAPE.ROUND,
  className: ''
}

export default Badge
