// Libraries
import React from 'react'
// eslint-disable-next-line import/no-extraneous-dependencies
import { storiesOf, addDecorator } from '@storybook/react'
// eslint-disable-next-line import/no-extraneous-dependencies
import { withA11y } from '@storybook/addon-a11y'
// eslint-disable-next-line import/no-extraneous-dependencies
import { withKnobs, text, boolean, number, select } from '@storybook/addon-knobs'
import BarColors from 'components/BarColors/index'

storiesOf('Tooltip', module)


addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('BarColors', module)
  .addParameters({
    jest: ['BarColors'],
  })
  .add(' Bullets', () => {
    return (
      <div style={{width: "5%", justifyContent: "center" }}>
        <BarColors
          invert={boolean('invert', true)}
          score={number("Score", 100)}
          size={select("size", ['small', 'medium', 'default'], 'small')}
          showCircle={boolean('showCircle', false)}
        />
      </div>
    )
  })
  .add('Bullets with same color', () => {
    return (
      <div style={{width: "5%", justifyContent: "center" }}>
        <BarColors
          invert={boolean('invert', true)}
          score={number("Score", 100)}
          size={select("size", ['small', 'medium', 'default'], 'small')}
          showCircle={boolean('showCircle', false)}
          sameColor={boolean("sameColor", true)}
        />
      </div>
    )
  })
  .add('Bullets with specific color', () => {
    return (
      <div style={{width: "5%", justifyContent: "center" }}>
        <BarColors
          invert={boolean('invert', true)}
          score={number("Score", 100)}
          size={select("size", ['small', 'medium', 'default'], 'small')}
          showCircle={boolean('showCircle', false)}
          sameColor={boolean("sameColor", true)}
          barColor={text('barcolor', 'blue')}
        />
      </div>
    )
  })
  .add('Score Bar with Bullet', () => {
    return (
      <div style={{width: "50%", justifyContent: "center"}}>
        <BarColors
          invert={boolean('invert', true)}
          score={number("Score", 100)}
          size={select("size", ['small', 'medium', 'default'], 'small')}
        />
      </div>
    )
  })
  .add('Score Bar withOut Bullet', () => {
    return (
      <div style={{width: "50%", justifyContent: "center"}}>
        <BarColors
          invert={boolean('invert', true)}
          score={number("Score", 100)}
          size={select("size", ['small', 'medium', 'default'], 'small')}
          showCircle={boolean('showCircle', false)}
        />
      </div>
    )
  })
