export function getColorAndSizeByScore({ min, max, color, score }) {
  // eslint-disable-next-line no-underscore-dangle
  const _color = score >= min ? color : null

  const unities = max - min
  const total = max - score
  const diff = unities - total
  const size = !_color ? 0 : (diff / unities) * 100

  const hasCircleIndicator = score >= min && score <= max
  return {
    color: _color,
    size,
    hasCircleIndicator,
    score
  }
}
export const SCORE_COLORS = [
  { color: "#D23A54", min: 0, max: 20, name: "Very Weak" }, // Flimsy
  { color: "#F08526", min: 21, max: 40, name: "Weak" }, // Tenuous
  {
    color: "#FACC38",
    min: 41,
    max: 60,
    name: "Medium"
  }, // Sturdy
  {
    color: "#3CC1AE",
    min: 61,
    max: 80,
    name: "Strong"
  }, // Fortified
  { color: "#2C9097", min: 81, max: 100, name: "Very Strong" }
]
