/* global test shallow expect */
import React from 'react'
import theme from 'theme'

import { Button } from './index'

const sizes = []

Object.keys(theme.button.height).forEach((key) => {
  sizes[key] = key
})

const themes = ['secondary', 'ghost']

test('render a Button', () => {
  const wrapper = shallow(<Button>Body</Button>)
  expect(wrapper).toMatchSnapshot()
})

test('render each theme', () => {
  themes.forEach((style) => {
    const wrapper = shallow(<Button theme={style}>Body</Button>)
    expect(wrapper).toMatchSnapshot()
  })
})

test('render each size', () => {
  Object.keys(sizes).forEach((size) => {
    const wrapper = shallow(<Button size={size}>Body</Button>)
    expect(wrapper).toMatchSnapshot()
  })
})

test('render a disabled button', () => {
  const wrapper = shallow(<Button disabled>Body</Button>)
  expect(wrapper).toMatchSnapshot()
})
