/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, select } from '@storybook/addon-knobs'
import { action } from '@storybook/addon-actions'

// Themes
import theme from 'theme'

// Components
import ButtonIcon from './index'

const size = {}

Object.keys(theme.buttonIcon.fontSize).forEach((key) => {
  size[key] = key
})

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('ButtonIcon', module)
  .addParameters({
    jest: ['ButtonIcon'],
  })
  .add('Button Icons', () => {
    return (
      <div>
        <div style={{ display: 'flex' }}>
          <div style={{ margin: '20px' }}>
            <ButtonIcon
              size={select('Size', size, 'default', 'sizes-1')}
              icon="Users"
              onClick={action('Users')}
            />
          </div>
        </div>
        <div style={{ display: 'flex' }}>
          <div style={{ margin: '20px' }}>
            <ButtonIcon
              size={select('Size', size, 'default', 'sizes-1')}
              icon="Users"
              theme="secondary"
              onClick={action('Users')}
            />
          </div>
        </div>
        <div style={{ display: 'flex' }}>
          <div style={{ margin: '20px' }}>
            <ButtonIcon
              size={select('Size', size, 'default', 'sizes-1')}
              icon="Users"
              theme="ghost"
              onClick={action('Users')}
            />
          </div>
        </div>
      </div>
    )
  })
