import styled from 'styled-components'
import styledMap from 'styled-map'

import theme from 'theme'

export const StyledButton = styled.button`
  border-radius: ${theme.buttonIcon.radius};
  border: none;
  transition: background-color ease-out 125ms;
  box-sizing: content-box;
  padding: 0 ${styledMap('size', theme.buttonIcon.horizontalPadding)};
  
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  height: ${styledMap('size', theme.buttonIcon.height)};
  
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  font-size: ${styledMap('size', theme.buttonIcon.fontSize)};
  
  background-color: ${styledMap('theme', theme.buttonIcon.backgroundColor)};
  color: ${styledMap('theme', theme.buttonIcon.color)};
  
  cursor: pointer;
    
  &:before {
    content: ${styledMap('size', theme.buttonIcon.fontSize)};
  }

  &:hover {
    background-color: ${styledMap('theme', theme.buttonIcon.hover.backgroundColor)};
  }
  
  &:active {
    background-color: ${styledMap('theme', theme.buttonIcon.active.backgroundColor)};
  }
  
  &:focus {
    background-color: ${styledMap('theme', theme.buttonIcon.focus.backgroundColor)};
    outline: none;
    box-shadow: 0 0 0 2pt ${styledMap('theme', theme.buttonIcon.focus.outline)};
  }
  
  &:disabled {
    cursor: not-allowed;
    background-color: ${styledMap('theme', theme.buttonIcon.disabled.backgroundColor)};
    color: ${styledMap('theme', theme.buttonIcon.disabled.color)};
  }
`

export const IconContainer = styled.span`
  display: inline-flex;
  align-self: center;

  &.baseline svg, & img {
    top: .125em;
    position: relative;
  }
`
