/* global test shallow expect */
import React from 'react'
import theme from 'theme'

import { ButtonLink } from './index'

const sizes = []

Object.keys(theme.button.height).forEach((key) => {
  sizes[key] = key
})

test('render a Button link', () => {
  const wrapper = (<ButtonLink>Body</ButtonLink>)
  expect(wrapper).toMatchSnapshot()
})

test('render each size', () => {
  Object.keys(sizes).forEach((size) => {
    const wrapper = shallow(<ButtonLink size={size}>Body</ButtonLink>)
    expect(wrapper).toMatchSnapshot()
  })
})
