/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, select } from '@storybook/addon-knobs'
import { action } from '@storybook/addon-actions'

// Themes
import theme from 'theme'

// Components
import { ButtonLink } from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

const size = {}

Object.keys(theme.button.height).forEach((key) => {
  size[key] = key
})

storiesOf('ButtonLink', module)
  .addParameters({
    jest: ['ButtonLink'],
  })
  .add('Simple button similar to link', () => {
    return (
      <div style={{ display: 'flex' }}>
        <div style={{ margin: '20px' }}>
          <ButtonLink
            size={select('Size', size, 'default', 'sizes-1')}
            onClick={action('clicked')}
          >
            Button Link
          </ButtonLink>
        </div>
      </div>
    )
  })
