/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import Card from './index'

addDecorator(withA11y)

storiesOf('Card', module)
  .addParameters({
    jest: ['Card'],
  })
  .add('with text', () => <Card>Hello World</Card>)
  .add('with a header', () => <Card header="Header">Hello World</Card>)
  .add('with bold header', () => (
    <Card
      header="Header"
      headerWeight="bold"
    >
      Hello World
    </Card>
  ))
  .add('with no margin', () => <Card noMargin>Hello World</Card>)
