import styled from 'styled-components'

export const Dots = styled.div`
  text-align: center;
  margin-top: 24px;
  line-height: 9px;
`

export const Dot = styled.label`
  cursor: pointer;
  height: 8px;
  width: 8px;
  margin: 0 8px;
  background-color: ${props => (props.active ? '#0C7D84' : '#C9CFD6')};
  border-radius: 50%;
  display: inline-block;
  transition: background-color 0.6s ease;
  &:hover {
    background-color: #0C7D84;
  }
`

export const Content = styled.div`
  height: ${props => props.height};
  overflow: hidden;
  position: relative;
  text-align: center;

  .radio {
    display: none;
  }

  .item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
  }

  .radio:checked ~ .item {
    transition: all .4s ease 0s;
  }

  ${props => (props.length > 1 ? `
  /* [ active slide item ] asterisks: slide.length - 1 */
  .radio:checked + ${'* +'.repeat(props.length - 1)} .item {
    left: 0;
    z-index: 3;
  }
  /* [ previous slide item ] asterisks: slide.length - 2 */
  .radio:checked + ${'* +'.repeat(props.length - 2)} .item,
  .radio:first-of-type:checked ~ .item:last-of-type {
    left: ${props.length === 2 ? '100%' : '-100%'};
    z-index: 2;
  }
  /* [ next slide item ] asterisks: slide.length */
  .radio:checked + ${'* +'.repeat(props.length)} .item,
  .radio:last-of-type:checked ~ .item:first-of-type {
    left:  ${props.length === 2 ? '-100%' : '100%'};
    z-index: 2;
  }
  ` : '')}
`

export const Slider = styled.div``

export default {
  Dots,
  Dot,
  Content,
  Slider
}
