/* eslint-disable react/no-array-index-key */
/* eslint-disable jsx-a11y/img-redundant-alt */
// Libraries
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'
import {
  Dots, Dot, Content, Slider
} from './Carousel.styles'

class Carousel extends PureComponent {
  render() {
    const {
      steps, activeStep, showDots, goToStep, height
    } = this.props
    return (
      <Slider>
        <Content length={steps.length} height={height}>
          {
            steps.map((step, index) => (
              <input type="radio" name="radio" id={`radio${index}`} className="radio" checked={activeStep === index + 1} key={index} />
            ))
          }
          {
            steps.map((step, index) => (
              <div className="item" key={index}>
                {steps[index]}
              </div>
            ))
          }
        </Content>
        {
          showDots && (
          <Dots>
            {
              steps.map((step, index) => (
                <Dot
                  key={index}
                  active={activeStep === index + 1}
                  onClick={() => goToStep(index + 1)}
                />
              ))
            }
          </Dots>
          )
       }
      </Slider>
    )
  }
}

Carousel.defaultProps = {
  activeStep: 1,
  showDots: true,
  goToStep: () => {},
  height: '200px'
}

Carousel.propTypes = {
  steps: PropTypes.arrayOf(PropTypes.oneOfType([PropTypes.string, PropTypes.node])).isRequired,
  activeStep: PropTypes.number,
  showDots: PropTypes.bool,
  goToStep: PropTypes.func,
  height: PropTypes.string
}

export default Carousel
