/* global test shallow expect */

import React from 'react'

import Checkbox from './index'

test('render a Checkbox', () => {
  const wrapper = shallow(<Checkbox />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with label', () => {
  const wrapper = shallow(<Checkbox label="Checkbox label" />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with title', () => {
  const wrapper = shallow(<Checkbox title="Checkbox title" />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with description', () => {
  const wrapper = shallow(<Checkbox description="Checkbox description" />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with error message', () => {
  const wrapper = shallow(<Checkbox errorMessage="Some validation error" />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with label, description, title and error message', () => {
  const wrapper = shallow(<Checkbox
    label="Checkbox label"
    title="Checkbox title"
    errorMessage="Some validation error"
    description="Checkbox description"  
  />)
  expect(wrapper).toMatchSnapshot()
})

test('render a Checkbox with bulk action dropdown', () => {
  const wrapper = shallow(<Checkbox
    dropdownOptions={[
      "Bulk action 1",
      "Bulk action 2",
      "Bulk action 3",
      "Bulk action 4",
      "Bulk action 5"
    ]}
    onDropdownSelect={option => console.log('Selection bulk operation: ', option)}
  />)
  expect(wrapper).toMatchSnapshot()
})
