/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'
import styled from 'styled-components'

// Components
import ColoredCard from './index'
import { Button } from '../Button'
import Link from '../Link'
import { Text } from '../Typography'

const Container = styled.div`
  width: 375px;
  height: 250px;
`

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('ColoredCard', module)
  .addParameters({
    jest: ['ColoredCard']
  })
  .add('ColoredCard', () => (
    <Container>
      <ColoredCard header="Need Help?">
        <Text>
          Refer to our Help Center or
          {' '}
          <Link to="mailto:support@elevatesecurity.com" isExternal>
            contact us
          </Link>
          . Our customer satisfaction team is always happy to help!
        </Text>
        <Button theme="secondary" width="full" style={{ marginTop: '15px' }}>
          Go To Help Center
        </Button>
      </ColoredCard>
    </Container>
  ))
