// Libraries
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'

// Components
import Card from '../Card'
import GlobalStyle from '../GlobalStyle'
import Image from '../Image'

// Assets
import * as shapes from './shapes.png'

class ColoredCard extends PureComponent {
  render() {
    const { header, children } = this.props

    return (
      <div style={{ position: 'relative', paddingTop: '5px' }}>
        <Image
          src={shapes}
          alt="stylized shapes"
          style={{
            height: '60px',
            width: 'auto',
            position: 'absolute',
            top: '0px',
            left: '40px'
          }}
        />
        <Card
          theme="help"
          header={header}
          headerSize="xxlg"
          headerWeight="bold"
          style={{ marginTop: '20px' }}
        >
          {children}
        </Card>
        <GlobalStyle />
      </div>
    )
  }
}

export default ColoredCard

ColoredCard.propTypes = {
  header: PropTypes.string
}

ColoredCard.defaultProps = {
  header: false
}
