import styled from 'styled-components'

export const SelectContainer = styled.div`
  width: 100%;

  p {
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
    font-style: normal;
    font-weight: 400;
    font-size: 12px;
    color: #c73434;
  }
  .css-1s2u09g-control {
    border-color: ${({ hasError }) => (hasError ? ' #C73434' : 'none')};
    box-shadow: ${({ hasError }) => (hasError ? '1px 0px 3px 1px #C73434' : 'none')};
  }
  .css-1pahdxg-control {
    background: #ffffff;
    border: 1px solid;
    border-color: ${({ hasError }) => (hasError ? '#C73434' : '#039BA1')};
    box-sizing: border-box;
    box-shadow: ${({ hasError }) =>
      hasError ? '1px 0px 3px 1px #C73434' : ' 1px 0px 3px 1px #039BA1'};
    border-radius: 4px;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
    color: #7b828a;
  }
  .css-1pahdxg-control:hover {
    border: 1px solid;
    border-color: ${({ hasError }) => (hasError ? '#C73434' : '#039BA1')};
    box-shadow: ${({ hasError }) =>
      hasError ? ' 1px 0px 3px 1px #C73434' : ' 1px 0px 3px 1px #039BA1'};
    box-sizing: border-box;
    border-radius: 4px;
  }
  .css-1rhbuit-multiValue {
    background: #b8e5e3;
    border-radius: 2px;
    padding: 2px 4px;
  }

  .css-12jo7m5 {
    font-style: normal;
    font-weight: 400;
    font-size: 13px;
    line-height: 16px;
    color: #34383c;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
  }

  .css-14el2xx-placeholder {
    font-style: normal;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
    line-height: 24px;
    display: flex;
    align-items: center;
    color: #7b828a;
  }

  .css-4ljt47-MenuList {
    font-weight: 400;
    font-size: 14px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;

    color: #565d66;
  }

  .css-1n7v3ny-option {
    background: #eef0f3;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;

    color: #565d66;
  }

  .css-1n7v3ny-option:active {
    background-color: #eef0f3;
    font-style: normal;
    font-weight: 400;
    font-size: 14px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
    color: #565d66;
  }

  .css-xb97g8:hover {
    color: #565d66;
    background-color: transparent;
  }

  .css-9gakcf-option {
    background-color: #eef0f3;
    color: #0c7d84;
    font-size: 14px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
  }
  .css-9gakcf-option:hover {
    background-color: #eef0f3;
    color: #0c7d84;
    font-size: 14px;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
  }
  .css-18ng2q5-group {
    font-style: normal;
    font-weight: 700;
    font-size: 12px;
    line-height: 20px;
    display: flex;
    align-items: center;
    text-transform: uppercase;
    color: #34383c;
    font-family: Neue Haas Unica Pro, Roboto, -apple-system, system-ui, BlinkMacSystemFont, Segoe UI,
      Helvetica Neue, Arial, sans-serif;
  }
  .css-shared-chk {
    margin-right: 10px;
    margin-top: 3.5px;
  }
`

export const CheckBoxContainer = styled.div`
  display: flex;
`

export const ChipRightLabel = styled.div`
  font-family: "Neue Haas Unica Pro";
  font-style: normal;
  font-weight: 400;
  font-size: 13px;
  line-height: 16px;
  align-items: center;
  color: #7b828a;
`
export const ChipLeftLabel = styled.span`
  width: 50%;
`
export const ComboBoxWrapper = styled.div`
  display: flex;
  padding: 20px;
`
export const InnerWrapper = styled.div`
  padding: 10px;
  width: 400px;
`
