/* global test shallow expect */

import React from 'react'

// Components
import CustomSelect from './index'

const options = [
  'ReactJs',
  'React',
  'Vuejs',
  'Angular',
  'TypeScript',
  'flow',
  'GraphQl'
]

const onChange = ({ option, index }) => {
  console.log(option, index)
}

test('render CustomSelect', () => {
  const wrapper = shallow(
    <CustomSelect onChange={() => { }} options={options} />
  )
  expect(wrapper).toMatchSnapshot()
})


test('Render Default CustomSelect', () => {
  const wrapper = shallow(
    <CustomSelect
      placeholder="Select a option"
      defaulValue="Select a option"
      onChange={onChange}
      options={options}
    />
  )
  expect(wrapper).toMatchSnapshot()
})

test('Render Default CustomSelect with 100% width', () => {
  const wrapper = shallow(
    <CustomSelect
      style={{ width: '100%' }}
      placeholder="Select a option"
      defaulValue="Select a option"
      onChange={onChange}
      options={options}
    />
  )
  expect(wrapper).toMatchSnapshot()
})

test('Render Default CustomSelect, dropdown with max-height 100px', () => {
  const wrapper = shallow(
    <CustomSelect
      style={{ width: '100%' }}
      maxHeightDropdown="100px"
      placeholder="Select a option"
      defaulValue="Select a option"
      onChange={onChange}
      options={options}
    />
  )
  expect(wrapper).toMatchSnapshot()
})

test('Render CustomSelect required', () => {
  const wrapper = shallow(
    <CustomSelect
      onChange={onChange}
      required
      placeholder="Select a option"
      options={options}
    />
  )
  expect(wrapper).toMatchSnapshot()
})

test('Render CustomSelect disabled', () => {
  const wrapper = shallow(
    <CustomSelect
      onChange={onChange}
      disabled
      placeholder="Select a option"
      options={options}
    />
  )
  expect(wrapper).toMatchSnapshot()
})
