/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withState } from '@dump247/storybook-state'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'

// Components
import DatePicker from './index'
import { StoryContainer } from './DatePicker.styles'
import { Typography } from '..'

const { H1 } = Typography

addDecorator(withA11y)
addDecorator(withKnobs)

const state = {
  value: null
}

storiesOf('DatePicker', module)
  .addParameters({
    jest: ['DatePicker']
  })
  .add(
    'DatePicker',
    withState(state)(({ store }) => (
      <>
        <H1>Simple datepicker</H1>
        <StoryContainer>
          <DatePicker
            placeholder="Choose date"
            value={store.state.value}
            onChange={value => alert(value)}
          />
        </StoryContainer>
      </>
    ))
  )
