/* eslint-disable react/prop-types */
import moment from 'moment'
import React from 'react'
import Picker from 'react-datepicker'
import 'react-datepicker/dist/react-datepicker.css'
import { Container } from './DatePicker.styles'

const DatePicker = ({ onChange, value, placeholder, ...props }) => {
  return (
    <Container>
      <Picker
        placeholderText={placeholder}
        dateFormat="yyyy-MM-dd"
        selected={value ? moment(value).toDate() : null}
        onChange={onChange}
        {...props}
      />
    </Container>
  )
}

export default DatePicker
