import React from 'react'
import { shallow, mount } from 'enzyme'

import DragosaurWithUmbrella from './index'

test('Render a DragosaurWithUmbrella', () => {
  const wrapper = shallow(
    <DragosaurWithUmbrella message={'There is no data available'} showTooltip={false} />
  )
  expect(wrapper).toMatchSnapshot()
})

test('Show empty message', () => {
  const message = 'There is no data available'
  const wrapper = mount(<DragosaurWithUmbrella message={message} showTooltip={false} />)
  const messageElement = wrapper.find('[data-test-id="empty-message"]')
  expect(messageElement.text()).toEqual(message)
})
