/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withState } from '@dump247/storybook-state'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, boolean } from '@storybook/addon-knobs'

// Components
import DragosaurWithUmbrella from './index'
import { Typography } from '..'

const { H1, H3 } = Typography

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('DragosaurWithUmbrella', module)
  .addParameters({
    jest: ['DragosaurWithUmbrella']
  })
  .add('DragosaurWithUmbrella without tooltip', () => (
    <>
      <H1>No data dragon without tooltip</H1>
      <DragosaurWithUmbrella message={'There is no data available'} showTooltip={false} />
    </>
  ))
  .add('DragosaurWithUmbrella with tooltip', () => (
    <>
      <H1>No data dragon with tooltip</H1>
      <H3>Just hover over text to see tooltip</H3>
      <DragosaurWithUmbrella message={'There is no data available'} showTooltip={true} />
    </>
  ))
