// This is a mock data for empty EventsLog

export const emptyEventsLogData = {
  total: 0,
  list: [],
  metadata: {
    actions: [
      'malware',
      'password_manager',
      'actual_phishing',
      'secure_browsing',
      'sensitive_data_handling',
      'training'
    ],
    data_sources: ['Unknown']
  }
}

// This is a mock data for EventsLog on IRP

export const irpEventsLogData = {
  total: 119,
  list: [
    {
      action: 'Training',
      action_event: 'training-overdue',
      data_source: 'Unknown',
      date: '2022-06-24T00:00:00',
      details: {
        course_id: 'cybersecurity 2021',
        course_title: 'Cybersecurity 2021',
        details: '"{""is_bonus"": """"}"',
        is_bonus: ''
      },
      es_event_id: '16fb656b69d10000f24b1e7d3c2ee68441de3abc93333c35',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Training overdue (Cybersecurity 2021)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Training',
      action_event: 'training-target-date',
      data_source: 'Unknown',
      date: '2022-06-23T00:00:00',
      details: {
        course_id: 'cybersecurity 2021',
        course_title: 'Cybersecurity 2021',
        details: '"{""is_bonus"": """"}"',
        is_bonus: ''
      },
      es_event_id: '16fb16d6d8820000965515c16c7634f6f2c8a6772bea0727',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Training due date (Cybersecurity 2021)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-active',
      data_source: 'Unknown',
      date: '2022-06-01T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        is_active: false
      },
      es_event_id: '16f47d5ca45f8000e14a022ef23f7af43c34cca2e6cea2e5',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager deactivated',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-installed',
      data_source: 'Unknown',
      date: '2022-06-01T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        has_installed: false
      },
      es_event_id: '16f47d5ca45f8000c1b7a87c94281fbaf2cb77fdcc369c4f',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager uninstalled',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-password-score',
      data_source: 'Unknown',
      date: '2022-06-01T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        master_password_score: 0
      },
      es_event_id: '16f47d5ca45f8000b8ba8bdbdf6a8351110a04276e1b8db0',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager master password score: 0',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-multifactor',
      data_source: 'Unknown',
      date: '2022-06-01T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        has_multifactor: false
      },
      es_event_id: '16f47d5ca45f8000f4e33999c502c86ae8a2a8b18c73b87f',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager is missing MFA',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Sensitive Data Handling',
      action_event: 'sensitive-data-improperly-handled',
      data_source: 'Unknown',
      date: '2022-05-25T14:28:31',
      details: {
        confidence: null,
        details: '"{""rule_id"": ""dd840ca7-0262-4834-a162-ae4a812274d3""',
        device_id: null,
        ip_address: null,
        policy: 'ABA Routing Number',
        severity: 'medium',
        trigger: 'Email Sent'
      },
      es_event_id: '16f25f676c33d6000b45ccff4489b268abe458ad200e7104',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Sensitive data policy violated (ABA Routing Number)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-password-score',
      data_source: 'Unknown',
      date: '2022-05-25T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        master_password_score: 0
      },
      es_event_id: '16f2574cab3680003ac59baa9dbce897611cae890f7bd627',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager master password score: 0',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-multifactor',
      data_source: 'Unknown',
      date: '2022-05-25T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        has_multifactor: false
      },
      es_event_id: '16f2574cab368000175b643648cad3bde79e9347b19f5bde',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager is missing MFA',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-active',
      data_source: 'Unknown',
      date: '2022-05-25T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        is_active: false
      },
      es_event_id: '16f2574cab3680008544ac35fa7d0f9e001a456b13ee97b1',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager deactivated',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Password Manager',
      action_event: 'password-manager-installed',
      data_source: 'Unknown',
      date: '2022-05-25T12:00:00',
      details: {
        details: '"{""mp_last_changed_date"": ""2022-02-18 21:21""',
        has_installed: false
      },
      es_event_id: '16f2574cab368000204fe3ae0762956a1abb0be7374da40b',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Password manager uninstalled',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-clicked',
      data_source: 'Unknown',
      date: '2022-05-21T21:05:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: 'b3c9f5c4-0a80-49d1-7815-08d9f57db122',
        threat_category: 'phish'
      },
      es_event_id: '16f13ab7f5dcd8004ef4564df86b5bc5b4b4b4a9d3e77beb',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email clicked (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-05-21T21:05:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: 'b3c9f5c4-0a80-49d1-7815-08d9f57db122',
        threat_category: 'phish'
      },
      es_event_id: '16f13ab7f5dcd8007f97bc90bf5b06ea49c1a38d6ad63d4f',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-05-21T15:00:00',
      details: {
        details: '"{""threat_type"": ""attachment""',
        guid: '4b326967-798a-45a2-054d-08d9f54aa150',
        threat_category: 'phish'
      },
      es_event_id: '16f126ccf8246000e633165456c81f554d4ed2da8d1596c0',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-05-21T12:03:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: 'c275898b-f578-4b67-b973-08d9f531dbd9',
        threat_category: 'phish'
      },
      es_event_id: '16f11d244ed0880054e9926ce5e40bc74d2b087e483ffa06',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Training',
      action_event: 'training-assigned',
      data_source: 'Unknown',
      date: '2022-05-21T06:00:00',
      details: {
        course_id: 'cybersecurity 2021',
        course_title: 'Cybersecurity 2021',
        details: '"{""is_bonus"": """"}"',
        is_bonus: ''
      },
      es_event_id: '16f1095541a6c0008c3250e9b3c4c094ca9ea07fbc8c0e3d',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Training assigned (Cybersecurity 2021)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-05-18T13:24:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: '08f57c83-7a5b-4c0f-18e8-08d9f2e1ab5d',
        threat_category: 'phish'
      },
      es_event_id: '16f035d2297660003f1e89dedad3e876e1933fa222dc5f0c',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-05-01T13:05:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: 'feda34f1-7838-45c7-3dac-08d9e5830fd8',
        threat_category: 'phish'
      },
      es_event_id: '16eafceb15ebd80092f1c256e415878a6138833458a7e6eb',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-04-27T15:04:00',
      details: {
        details: '"{""threat_type"": ""attachment""',
        guid: '96de84a9-33d2-42a6-d1bc-08d9e1a5ecc6',
        threat_category: 'phish'
      },
      es_event_id: '16e9c91739d9c0003fd6c85be533c35a948b7ae2eb17a0fc',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-04-27T14:07:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: '696d784c-e30b-466b-3177-08d9e19e48c0',
        threat_category: 'phish'
      },
      es_event_id: '16e9c5faf1f728008aad5765ccd3b099ac769d0c9e76129e',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Malware',
      action_event: 'malware-blocked',
      data_source: 'Unknown',
      date: '2022-04-24T14:28:00',
      details: {
        details: '"{""detect_id"": ""ldt:3a24e762f94d48339bb21939f4f7a593:2044404685395""',
        device_id: 'p037066',
        event_title: 'prevention, operation blocked. - iexplore.exe',
        ip_address: '',
        malware_type: 'blocked exploit',
        severity: 'high'
      },
      es_event_id: '16e8db629be46000503a90657b2c18e716b3771ceceda788',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Malware blocked (blocked exploit)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-04-20T14:04:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: '2533b9ef-fb68-4c06-7c6f-08d9dc1d5e9e',
        threat_category: 'phish'
      },
      es_event_id: '16e79fc10ff8200056c42070da9923fa6c0cea8cede17da0',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Malware',
      action_event: 'malware-unknown',
      data_source: 'Unknown',
      date: '2022-04-15T18:22:00',
      details: {
        details: '"{""detect_id"": ""ldt:6f7043585e734a33b378271eb23197d1:1017907504915""',
        device_id: 'p096052',
        event_title: 'policy disabled + file system operation blocked - explorer.exe',
        ip_address: '',
        malware_type: 'suspicious activity',
        severity: 'high'
      },
      es_event_id: '16e624ee7153d0005d014883c7e9ff7100c3acb20dda9020',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Malware incident detected (suspicious activity)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-04-07T18:15:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: '154686e0-562c-40f2-5e84-08d9d2092cb6',
        threat_category: 'phish'
      },
      es_event_id: '16e3afe81ce868002ae7c7d53e8ba7276ad63a441d5dbeb3',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    },
    {
      action: 'Actual Phishing',
      action_event: 'real-world-phishing-delivered',
      data_source: 'Unknown',
      date: '2022-04-04T16:24:00',
      details: {
        details: '"{""threat_type"": ""url""',
        guid: '7fb5e2d8-008c-4eec-e1fb-08d9cf9e3cb2',
        threat_category: 'phish'
      },
      es_event_id: '16e2be1bc20c400057454ac05eb6ca938186ddb8ca503a97',
      es_person_id: '1WrMMpXsNGGJy70fb5Cw8eQS4qCtYW',
      event: 'Actual phishing email received (phish)',
      individual: 'Elidia Auyong'
    }
  ],
  metadata: {
    actions: [
      'malware',
      'password_manager',
      'actual_phishing',
      'secure_browsing',
      'sensitive_data_handling',
      'training'
    ],
    data_sources: ['Unknown']
  }
}

// This is a mock data for EventsLog on latest events log modal

export const actionEventsLogData = {
  total: 366834,
  list: [
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T18:44:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32998',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f359162fba6000d7c4e3e84ba6b51ffae3306631fc308b',
      es_person_id: 'wir4tFxv6YqNPpNWaC7IYetAnDe50t',
      event: 'Simulated phishing campaign reported',
      individual: 'Hagen Fannin'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T18:16:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3578f07ecc00025bdc2df95eb8232bd540e8e8b8f12fb',
      es_person_id: '7cn0DIJ5NhsntpjSySNdyzfcXnhYdY',
      event: 'Simulated phishing campaign reported',
      individual: 'Alesha Thomases'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:39:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3558a259d080042a60a30c1c052ed09acb2e1f18eaf07',
      es_person_id: '8XqZqFl2ltYdzPuBAMVL06YgEUM8Q9',
      event: 'Simulated phishing campaign reported',
      individual: 'Krystine Wavra'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:28:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32996',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f354f07a8c40006527e2a1353d73c8b2d48f516a7b607c',
      es_person_id: 'nrwDxooFjffCZJjTCFoLHhuztFslhG',
      event: 'Simulated phishing campaign reported',
      individual: 'Derrico Brisker'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:27:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f354e28244e800ff6ac0aee4e37f63dd3262b4cd3a5cf8',
      es_person_id: 'TB9ruZlNwXUjr1R55pclDMlksXPQvg',
      event: 'Simulated phishing campaign reported',
      individual: 'Quintana Dewaard'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:25:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32996',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f354c691b638000cd3ac184944e57e6430691c3a7aa55e',
      es_person_id: '0snkgc0v5rDIwYON3JGWJClB80LftC',
      event: 'Simulated phishing campaign reported',
      individual: 'Domanic Glavin'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:07:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f353cb1cb208000497dbb9562a971505e7d5a7e1120d8c',
      es_person_id: 'g0dVmcOGdTx4WIv3ymxS7TnmXJR9q5',
      event: 'Simulated phishing campaign reported',
      individual: 'Kara Flemmons'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T17:07:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f353cb1cb2080050adafc2114a59b2d3997c8f8bf713e4',
      es_person_id: 'g0dVmcOGdTx4WIv3ymxS7TnmXJR9q5',
      event: 'Simulated phishing campaign reported',
      individual: 'Kara Flemmons'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:47:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32998',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f352b3b71f280008fcbf27ee849a4b8aa2907e96eda56b',
      es_person_id: 'KeGvyMhEmAMtoHcJ3U2NMYNIrsinCK',
      event: 'Simulated phishing campaign reported',
      individual: 'Leala Ditton'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:47:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f352b3b71f280021b9b6827e2c68d73904784479b23087',
      es_person_id: 'KeGvyMhEmAMtoHcJ3U2NMYNIrsinCK',
      event: 'Simulated phishing campaign reported',
      individual: 'Leala Ditton'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:45:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35297c69078002c6a19749c64dde2adef5f2fff0f62be',
      es_person_id: 'UQ9JBFE4UxRkTBpbJxiTAmEepMmvth',
      event: 'Simulated phishing campaign reported',
      individual: 'Collins Wolfing'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:45:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35297c6907800913e0a3e7e11d51b3f3a6cb35e6575ff',
      es_person_id: 'UQ9JBFE4UxRkTBpbJxiTAmEepMmvth',
      event: 'Simulated phishing campaign reported',
      individual: 'Collins Wolfing'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:26:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3518e5944f0003f5a4dfe7f7d87e9ac69ac9c76655031',
      es_person_id: 'BLUXMZLFEXnb51xDEuyEBie22HZyjX',
      event: 'Simulated phishing campaign reported',
      individual: 'Katessa Holtry'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:26:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3518e5944f00068262d971d0b1629d14552db48b0de8e',
      es_person_id: 'BLUXMZLFEXnb51xDEuyEBie22HZyjX',
      event: 'Simulated phishing campaign reported',
      individual: 'Katessa Holtry'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:24:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32996',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3517268b64000fb50b57e36a5313fb96a9aa61d7f71cd',
      es_person_id: 'bQk3C1XQXPYiC64XCUYR1kVapHGDIH',
      event: 'Simulated phishing campaign reported',
      individual: 'Janes Omary'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:24:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3517268b640002b1959e0a8e268dfca0b8bc76b1f7e7f',
      es_person_id: 'bQk3C1XQXPYiC64XCUYR1kVapHGDIH',
      event: 'Simulated phishing campaign reported',
      individual: 'Janes Omary'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:22:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32998',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f3515678279000a24e93d036bca64d303ca9e07e3b3ea8',
      es_person_id: 'mO3C57MW8r3QYW2GhwgvltFmSIjJs7',
      event: 'Simulated phishing campaign reported',
      individual: 'Hollye Kendi'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:22:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f351567827900018adf9c0a776605f8d03e3d6678470ff',
      es_person_id: 'mO3C57MW8r3QYW2GhwgvltFmSIjJs7',
      event: 'Simulated phishing campaign reported',
      individual: 'Hollye Kendi'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:16:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35102a67b80004fe6f042e1c906fcf220f41e2f632580',
      es_person_id: 'odmdA3tcOcxQ3DJOg83YAdnAjd7OWR',
      event: 'Simulated phishing campaign reported',
      individual: 'Ebony Crean'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:16:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32998',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35102a67b800084d83f2ed12a485a662a04928cf8a09f',
      es_person_id: 'uAgZNEpHv8yBO7YNPG7KnRvSV2qZAm',
      event: 'Simulated phishing campaign reported',
      individual: 'Arah Norfolk'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:16:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35102a67b8000b201396249a263939bd02384d1d183bd',
      es_person_id: 'odmdA3tcOcxQ3DJOg83YAdnAjd7OWR',
      event: 'Simulated phishing campaign reported',
      individual: 'Ebony Crean'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:16:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35102a67b8000b65562128c0d5e8248d93a1698b03415',
      es_person_id: 'uAgZNEpHv8yBO7YNPG7KnRvSV2qZAm',
      event: 'Simulated phishing campaign reported',
      individual: 'Arah Norfolk'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:15:00',
      details: {
        details: '{}',
        phishing_campaign_nid: null,
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f350f4ae3428002963e1d124d0d66de97595fcf128c1a0',
      es_person_id: 'CBzVzuY0VjVGoSS5KfijUZhWAo3j7b',
      event: 'Simulated phishing campaign reported',
      individual: 'Aviel Brisbin'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:15:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32997',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f350f4ae34280093dc9d179eadbb7fad980b827f3a830a',
      es_person_id: 'CBzVzuY0VjVGoSS5KfijUZhWAo3j7b',
      event: 'Simulated phishing campaign reported',
      individual: 'Aviel Brisbin'
    },
    {
      action: 'Simulated Phishing',
      action_event: 'phishing-reported',
      data_source: 'Unknown',
      date: '2022-05-28T16:07:00',
      details: {
        details: '{}',
        phishing_campaign_nid: '32996',
        phishing_campaign_title: null,
        send_date: ''
      },
      es_event_id: '16f35084ebf9680000d9cad333569c29880e55c74366b8a4',
      es_person_id: 'pQpaCXtSPHtj5Npmbh9uYJdh4fe14F',
      event: 'Simulated phishing campaign reported',
      individual: 'Hyacinth Hamersly'
    }
  ],
  metadata: {
    actions: [
      'device_security',
      'malware',
      'password_manager',
      'simulated_phishing',
      'actual_phishing',
      'secure_browsing',
      'sensitive_data_handling',
      'training'
    ],
    data_sources: ['device-security_v1_default-manual', 'Unknown']
  }
}

// This is a mock data for EventsLog on actionable insights page

export const insightsEventsLogData = {
  total: 4886,
  list: [
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08008dbb8eecc5b499ba0cc11421e44c9ee7',
      es_person_id: '3abyqaVjjMFWka0HNjbtsP2Zyujyim',
      event: 'Malware executed (data loss)',
      individual: 'Ranika Bulick'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08004f44a60c8022661aa7094625b01864ea',
      es_person_id: '40huYiJkQ83dCkQVFwCNEwMEGzgNEy',
      event: 'Malware executed (data loss)',
      individual: 'Armon Chauncey'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08001735a23f54ffc7cc7f0d53d2be1ec067',
      es_person_id: '2iYxQ6wAGGr0HLrWNW492ETB9cJ5mr',
      event: 'Malware executed (data loss)',
      individual: 'Nyomi Banter'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba080041fe0fff483f7b10b0d501f33936265b',
      es_person_id: '31xzpVxl12t5UJiHKvpNaMgIkytMqb',
      event: 'Malware executed (data loss)',
      individual: 'Joson Stradling'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08002aa1dca64ded6cec696db2a2432d79a2',
      es_person_id: '3dreWFjmUGwk9JSLJOAcFFlxroBxzE',
      event: 'Malware executed (data loss)',
      individual: 'Kellee Nedelman'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800d4f0b15508a5348aa5098066812d1055',
      es_person_id: '1LjkSBQnzTDdvUd69vvxOXBRpteQuz',
      event: 'Malware executed (data loss)',
      individual: 'Curtrina Carta'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba080073f595eec1a0649a2cd5d10b9cec62da',
      es_person_id: '1r7hs3wn3CjWPEIjCcCa56Ku0QzUTb',
      event: 'Malware executed (data loss)',
      individual: 'Damara Ritchko'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800db8656b0d8501274df6a6d1a0116a041',
      es_person_id: '2gLgC65LXUG7CmXxdJe63TcgECvc7C',
      event: 'Malware executed (data loss)',
      individual: 'Payal Fellezs'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800874c680fef3226dba88c9a9a6b8a60d6',
      es_person_id: '2K70y2FSqVs6JnL64BkblHxqOeAKvc',
      event: 'Malware executed (data loss)',
      individual: 'Isiah Rushforth'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800c82fb74ae87061eeffb48527f601e815',
      es_person_id: '2Uz5zNF0gWvAaJMHjcv2kthFAWEAzo',
      event: 'Malware executed (data loss)',
      individual: 'Arianne Bakalars'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800021ff8fe1a2d674e047c387c4da46e75',
      es_person_id: '3Al4upxyVH3kHr76RvF53RqT4n8LpU',
      event: 'Malware executed (data loss)',
      individual: 'Zoltan Hackl'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08003608449b04a629b01f182c2e4e598829',
      es_person_id: '15GdUEx0gIKsoFQa8rIw5UCNEgnLfm',
      event: 'Malware executed (data loss)',
      individual: 'Tekoa Rickers'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08001c3fc3e6c04c6d3ee99b28b6220309fa',
      es_person_id: '06RSdlDwzinUKp4F0Ut9ImjGU0LY0G',
      event: 'Malware executed (data loss)',
      individual: 'Kalee Terell'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08000561de94ab9bd98700cb84f3a0a66a4c',
      es_person_id: '11qSUv9CRUkoLJWCAPOBxkhLVcgv8j',
      event: 'Malware executed (data loss)',
      individual: 'Shequila Schlabs'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800f5a9334a5c00f782c400a69cc60fa799',
      es_person_id: '1gZwkayFp9OmEqwBR74FqVPNH4GaMi',
      event: 'Malware executed (data loss)',
      individual: 'Exavier Stanway'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08003aba62cf8fba83da91d37a1836773f89',
      es_person_id: '0kragx7RUOzN5uKh8573Gi5RBWtVBH',
      event: 'Malware executed (data loss)',
      individual: 'Erendira Dampier'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800096a543110d76e1daa42c754dd192984',
      es_person_id: '0khuBJS8IW3evCVdr9IfJ2KgijRK93',
      event: 'Malware executed (data loss)',
      individual: 'Nerissa Khauv'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba080072c38da042364d07f6da6681798e8073',
      es_person_id: '24uMUeJyOW3x5udAYYD6Gr1rdYcHcP',
      event: 'Malware executed (data loss)',
      individual: 'Mikah Curson'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800ef161e6c18d9d1a55c02728d661a1d44',
      es_person_id: '2iZGX7AvQZRK5izWhWNjNPMQjQ3CJ8',
      event: 'Malware executed (data loss)',
      individual: 'Juwanda Hollendonner'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba080050da05ea1afe25d5f277c2786c6c8a54',
      es_person_id: '2k5mxRZh6yMp6nYFPxhmMXRUSkxlB6',
      event: 'Malware executed (data loss)',
      individual: 'Trishia Kears'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba080076555b5167e5d4734dddf6e8a54b91ca',
      es_person_id: '2LPB9zVaIsfe9lyqNICWiVIjNA6HGe',
      event: 'Malware executed (data loss)',
      individual: 'Walton Reazer'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08005ed5155076835d849d4dea3dfad8c238',
      es_person_id: '2OmwYdDbH8qvjntyf86HVrYYlpDG1N',
      event: 'Malware executed (data loss)',
      individual: 'Chioma Gillem'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba0800358185b42d68696950521f832a4c00f5',
      es_person_id: '04ZlYIK65S7OIdYjMIWuELN4cOA8qX',
      event: 'Malware executed (data loss)',
      individual: 'Carmilla Eisenbarth'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08004ac1c1c8cbdd73bdd313687648224ba3',
      es_person_id: '1iTjaOL0UjlfRU8rwnqBF3TqahbNqe',
      event: 'Malware executed (data loss)',
      individual: 'Meranda Botras'
    },
    {
      action: 'Malware',
      action_event: 'malware-executed',
      data_source: 'Unknown',
      date: '2022-04-30T19:15:00',
      details: {
        details: '"{""detect_id"": ""ldt:2e6b919f84234a6ba93aa32b4286cd92:399432844236""',
        device_id: 'pvm0684',
        event_title: 'prevention, process killed. - powershell_ise.exe',
        ip_address: '',
        malware_type: 'data loss',
        severity: 'critical'
      },
      es_event_id: '16eac2875bba08003079e7922575ae1bd626fd8f4010d0a1',
      es_person_id: '4aJQBtCLoOJi8VLHF3bVHevknAWJxt',
      event: 'Malware executed (data loss)',
      individual: 'Selwyn Mcqueen'
    }
  ],
  metadata: {
    actions: ['malware'],
    data_sources: ['Unknown']
  }
}
