const { useCallback } = require('react')
import { createChartBar } from './graph'

export const useDrawChart = (
  chartRef,
  printChartRef,
  disabledLines,
  typeGraph,
  behaviorScores,
  campaignScores,
  hideActionsTaken,
  onMouseEnter,
  setIsReady,
  showExport,
  keyToBeDashed,
  minMaxValue,
  isInsight,
  changeLineFocus,
  lineFOcus,
  performanceFlag = false,
  showGradeLabel = false,
  sortAlphabetical = false,
  yAxisDecimal = false
) =>
  useCallback(
    chartReady => {
      if (!chartRef || !chartRef.current) return
      chartRef.current.innerHTML = ''

      if (showExport) {
        printChartRef.current.innerHTML = ''
        createChartBar({
          element: printChartRef.current,
          behaviorScores,
          campaignScores,
          chartReady,
          disabledLines,
          typeGraph,
          onMouseEnter,
          keyToBeDashed,
          minMaxValue,
          hideActionsTaken: true,
          printing: true,
          sortAlphabetical,
          isInsight,
          yAxisDecimal,
          changeLineFocus,
          lineFOcus,
          performanceFlag,
          showGradeLabel
        })
      }

      createChartBar({
        element: chartRef.current,
        behaviorScores,
        campaignScores,
        chartReady,
        disabledLines,
        typeGraph,
        onMouseEnter,
        hideActionsTaken,
        keyToBeDashed,
        minMaxValue,
        sortAlphabetical,
        isInsight,
        yAxisDecimal,
        changeLineFocus,
        lineFOcus,
        performanceFlag,
        showGradeLabel
      })

      setIsReady(true)
    },
    [
      printChartRef,
      chartRef,
      disabledLines,
      typeGraph,
      behaviorScores,
      campaignScores,
      hideActionsTaken
    ]
  )
