/* global test shallow  expect */
import React from 'react'

import Header from './index'
import { H1, Small } from '../Typography'
import { Button } from '../Button'

import Breadcrumb from '../Breadcrumb'
import Link from '../Link'

test('render Header', () => {
  const wrapper = shallow(
    <Header>
      <Breadcrumb>
        <Link title="First Page" to="/" />
        <Link title="Second Page" to="/" />
        <Link title="Third Page" to="/" />
      </Breadcrumb>
      <H1>Page title</H1>
    </Header>
  )
  expect(wrapper).toMatchSnapshot()
})

test('Default Header', () => {
  const HeaderComponent = shallow(
    <Header>
      <Breadcrumb>
        <Link to="/">
          <Small color="link"> Previous Page </Small>
        </Link>
        <Link to="/">
          <Small color="300"> Current Page </Small>
        </Link>
      </Breadcrumb>
      <H1 fontWeight="heavy">Page Title</H1>
      <Button>Button name</Button>
    </Header>
  )
  expect(HeaderComponent).toMatchSnapshot()
})
test('Header with title only', () => {
  const HeaderComponent = shallow(
    <Header>
      <H1 fontWeight="heavy">Page Title</H1>
    </Header>
  )
  expect(HeaderComponent).toMatchSnapshot()
})
test('Header with title and button', () => {
  const HeaderComponent = shallow(
    <Header>
      <H1 fontWeight="heavy">Page Title</H1>
      <Button>Button name</Button>
    </Header>
  )
  expect(HeaderComponent).toMatchSnapshot()
})
