/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'

// Components
import Header from './index'
import Link from '../Link'
import Breadcrumb from '../Breadcrumb'
import { Small, H1 } from '../Typography'
import { Button } from '../Button'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('Header', module)
  .addParameters({
    jest: ['Header'],
  })
  .add('Default Header', () => (
    <Header>
      <Breadcrumb>
        <Link to="/">
          <Small color="link"> Previous Page </Small>
        </Link>
        <Link to="/">
          <Small color="300"> Current Page </Small>
        </Link>
      </Breadcrumb>
      <H1 fontWeight="900">Page Title</H1>
      <Button>Button name</Button>
    </Header>
  ))
  .add('Header with title only', () => (
    <Header>
      <H1 fontWeight="900">Page Title</H1>
    </Header>
  ))
  .add('Header with title and button', () => (
    <Header>
      <H1 fontWeight="900">Page Title</H1>
      <Button>Button name</Button>
    </Header>
  ))
