// Libraries
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'

import styled from 'styled-components'


// components
import Breadcrump from '../Breadcrumb'
import { H1, H2, Small } from '../Typography'
import { Button } from '../Button'


const HeaderContainer = styled.div`
  padding:24px 0;
  H1{
    margin:8px 0;
    line-height: 1;
  }

  Button{
    margin:8px 0 0 0;
  }
`

class Header extends PureComponent {
  static validatedChildcren = [Breadcrump, H1, H2, Button, Small]

  static propTypes = {
    children: PropTypes.oneOfType([
      PropTypes.arrayOf(PropTypes.shape({
        type: PropTypes.oneOf(Header.validatedChildcren)
      })),
      PropTypes.shape({
        type: PropTypes.oneOf(Header.validatedChildcren)
      }),
      PropTypes.shape({
        type: PropTypes.oneOf([H1]).isRequired
      }).isRequired
    ]).isRequired
  }

  render() {
    const {
      children
    } = this.props

    return (
      <HeaderContainer>
        {children}
      </HeaderContainer>
    )
  }
}

export default Header
