/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'


// Components
import HeaderTableContainer from './index'
import { Button } from '../Button'
import Icon from '../Icon'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('HeaderTableContainer', module)
  .add('Header container to employees table', () => (
    <HeaderTableContainer
      title="Employees"
      button={<Button>Import New Employees</Button>}
      hasSearchInput
      titleOverSearchInput="Last updated Sep 5, 2019 at 12:00 AM"
      searchInputPlaceholder="Filter employees..."
    />
  ))
  .add('Header container to group table', () => (
    <HeaderTableContainer
      title="Groups"
      button={<Button>Create a new Group</Button>}
      hasSearchInput
      searchInputPlaceholder="Filter groups..."
    />
  ))
  .add('Header container with quick search clear button', () => (
    <HeaderTableContainer
      title="Groups"
      button={<Button>Create a new Group</Button>}
      hasSearchInput
      searchInputPlaceholder="Filter groups..."
      iconRight={<span onClick={() => console.log("Clear icon clicked")}><Icon name="CircleXSolid" size="default" /></span>}
    />
  ))