import styled from 'styled-components'
import theme from 'theme'
import Layout from '../Layout'

export const InputFilterContent = styled(Layout)`
  display: flex;
  padding: 24px 0;
  align-items: flex-end;
  flex-direction: column;
  justify-content: flex-end;
  text-align: right;
  margin-right: 0!important;
  margin-left: auto!important;
  min-height: 154px;
  input {
    min-width: 240px;
    color: ${theme.text.color.default};
    background-color: ${theme.colors.gray.opaque[100]};
    font-size: 14px;
    border: 0;
    
    &:hover,
    &:focus,
    &:active {
      border: 0;
      box-shadow: none;
    }
    
  }
  svg {
    stroke: ${theme.text.color.default};
  }
  
  .icons-right{
    svg{
      width: 16px;
      height: 16px;
    }
  }

`

export const HeaderView = styled(Layout)`
  padding: 0 20px;
  h1 {
    color: ${theme.colors.black};
    font-weight: 900;
    margin-bottom: 16px;
  }
  p {
    font-weight: 400;
    font-size: 14px;
    padding-bottom: 30px;
  }
`
