/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { BrowserRouter as Router } from 'react-router-dom'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'

// Components
import Heatmap from './index'

// Dummy Data
const data = [
  {
    id: 1,
    name: 'Engineering',
    link: 'https://www.yahoo.com',
    scores: {
      overall: 80,
      phishing: 10,
      beingAwesome: null,
      cleanDesk: 50,
      mindControl: 30,
      password: null
    }
  },
  {
    id: 2,
    name: 'Human Resources',
    link: 'https://www.google.com',
    scores: {
      overall: 60,
      phishing: 30,
      beingAwesome: 90,
      cleanDesk: 20,
      mindControl: 30,
      password: 75
    }
  },
  {
    id: 3,
    name: 'Finance',
    scores: {
      overall: 25,
      phishing: 95,
      beingAwesome: 18,
      cleanDesk: 20,
      mindControl: 64,
      password: 22
    }
  },
  {
    id: 4,
    name: 'Finance',
    scores: {
      overall: 25,
      phishing: 95,
      beingAwesome: 18,
      cleanDesk: 20,
      mindControl: 64,
      password: 22
    }
  },
  {
    id: 5,
    name: 'Finance',
    scores: {
      overall: 25,
      phishing: 95,
      beingAwesome: 18,
      cleanDesk: 20,
      mindControl: 64,
      password: 22
    }
  },
  {
    id: 6,
    name: 'Finance',
    scores: {
      overall: 25,
      phishing: 95,
      beingAwesome: 18,
      cleanDesk: 20,
      mindControl: 64,
      password: 22
    }
  }
]

const keys = ['name', 'overall', 'phishing', 'beingAwesome', 'cleanDesk', 'mindControl', 'password']

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('Charts / Heatmap', module)
  .addParameters({
    jest: ['Heatmap']
  })
  .add('Example', () => (
    <div>
      <Router>
        <Heatmap
          header="Behavior Map"
          data={data}
          keys={keys}
        />
      </Router>
    </div>
  ))
