import styled from 'styled-components'

import theme from 'theme'

export const ContentContainer = styled.div`
  overflow-x: scroll;
`

export const HeaderRow = styled.div`
  height: 35px;
  display: flex;
  flex-flow: row;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: ${theme.text.fontSize.default};
`

export const HeaderCell = styled.div`
  height: 35px;
  display: flex;
  flex-flow: column;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-wrap: nowrap;
  white-space: nowrap;
`

export const HeaderLabel = styled.p`
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  margin: 0;
`

export const TableRow = styled.div`
  height: 35px;
  display: flex;
  flex-flow: row;
`

export const TableCellFirst = styled.div`
  display: flex;
  flex-flow: column;
  height: 35px;
  line-height: 35px;
  text-align: left;
  overflow: hidden;
  text-overflow: ellipsis;
  flex-wrap: nowrap;
  white-space: nowrap;
`

export const TableCell = styled.div`
  height: 35px;
  line-height: 35px;
  text-align: center;
  display: flex;
  flex-flow: column;
  justify-content: center;
  align-items: center;
`
