/* eslint-disable react/no-array-index-key */
/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import { Icon, TextIcon } from './index'
import * as icons from './icons'

addDecorator(withA11y)

storiesOf('Icon', module)
  .addParameters({
    jest: ['Icon']
  })
  .add('All Icons', () => (
    <div>
      {Object.keys(icons).map((name, index) => (
        <Icon name={name} key={`${name} - ${index}`} />
      ))}
    </div>
  ))
  .add('Text Icons', () => (
    <div style={{ display: 'flex', flexDirection: 'column' }}>
      {Object.keys(icons).map((name, index) => (
        <TextIcon size="24" name={name} key={`${name} - ${index}`}>
          {name}
        </TextIcon>
      ))}
    </div>
  ))
  .add('Icon Sizes', () => (
    <div style={{ display: 'flex', flexDirection: 'column' }}>
      {Object.keys(icons).map(name => (
        <div>
          <Icon name={name} key={Math.random()} size="xsm" />
          <Icon name={name} key={Math.random()} size="sm" />
          <Icon name={name} key={Math.random()} size="default" />
          <Icon name={name} key={Math.random()} size="lg" />
        </div>
      ))}
    </div>
  ))
  .add('With color', () => (
    <div style={{ display: 'flex', flexDirection: 'column' }}>
      {Object.keys(icons).map(name => (
        <div>
          <Icon name={name} key={Math.random()} size="default" fill="red" />
        </div>
      ))}
    </div>
  ))
