import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, size, stroke }) => {
  return (
    <svg
      className={className}
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill="none"
      stroke={stroke}
      strokeWidth="2"
      strokeLinecap="round"
      strokeLinejoin="round"
    >
      <path d="M22 11.08V12a10 10 0 1 1-5.93-9.14" />
      <polyline points="22 4 12 14.01 9 11.01" />
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  stroke: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  stroke: theme.colors.black
}
