import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, fill, size }) => {
  return (
    <svg className={className} width={size} height={size} viewBox="0 0 24 24" version="1.1">
      <desc>Created with Sketch.</desc>
      <g id="custom-circle-checked" stroke="none" strokeWidth="1" fill="none" fillRule="evenodd">
        <path
          d="M12,4 C7.584,4 4,7.584 4,12 C4,16.416 7.584,20 12,20 C16.416,20 20,16.416 20,12 C20,7.584 16.416,4 12,4 Z M10.4,16 L6.4,12 L7.528,10.872 L10.4,13.736 L16.472,7.664 L17.6,8.8 L10.4,16 Z"
          id="circle-checked"
          fill={fill}
          fillRule="nonzero"
        />
      </g>
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  fill: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  fill: theme.colors.black
}
