import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, fill, size }) => {
  return (
    <svg className={className} width={size} height={size} viewBox="0 0 24 24" version="1.1">
      <g id="custom-circle-empty" stroke="none" strokeWidth="1" fill="none" fillRule="evenodd">
        <path
          d="M12,20 C16.418278,20 20,16.418278 20,12 C20,7.581722 16.418278,4 12,4 C7.581722,4 4,7.581722 4,12 C4,16.418278 7.581722,20 12,20 Z M12,18 C8.6862915,18 6,15.3137085 6,12 C6,8.6862915 8.6862915,6 12,6 C15.3137085,6 18,8.6862915 18,12 C18,15.3137085 15.3137085,18 12,18 Z"
          id="circle-empty"
          fill={fill}
          fillRule="nonzero"
        />
      </g>
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  fill: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  fill: theme.colors.black
}
