import React from 'react'
import PropTypes from 'prop-types'
import theme from 'theme'
import { svgProps } from '../Icon.utils'

const CircleSolid = ({ className, fill, size }) => {
  return (
    <svg {...svgProps({ className, size })}>
      <g id="icon-circle" stroke="none" strokeWidth="1" fill="none" fillRule="evenodd">
        <g id="Icon-/-circle">
          <rect id="Transparent-Block" x="0" y="0" width={size} height={size} />
          <circle id="Mask" fill={fill} cx="12" cy="12" r="12" />
        </g>
      </g>
    </svg>
  )
}

CircleSolid.propTypes = {
  fill: PropTypes.string,
  size: PropTypes.string.isRequired
}

CircleSolid.defaultProps = {
  fill: theme.colors.black
}
export default CircleSolid
