import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, size, stroke }) => {
  return (
    <svg
      className={className}
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill="none"
      stroke={stroke}
      strokeWidth="2"
      strokeLinecap="round"
      strokeLinejoin="round"
    >
      <path d="M3 9l9-7 9 7v11a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2z" />
      <polyline points="9 22 9 12 15 12 15 22" />
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  stroke: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  stroke: theme.colors.black
}
