import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, size, stroke }) => {
  return (
    <svg
      className={className}
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill="none"
      stroke={stroke}
      strokeWidth="2"
      strokeLinecap="round"
      strokeLinejoin="round"
    >
      <polygon points="12 2 2 7 12 12 22 7 12 2" />
      <polyline points="2 17 12 22 22 17" />
      <polyline points="2 12 12 17 22 12" />
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  stroke: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  stroke: theme.colors.black
}
