import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, size, stroke }) => {
  return (
    <svg
      className={className}
      width={size}
      height={size}
      viewBox="0 0 24 24"
      fill="none"
      stroke={stroke}
      strokeWidth="2"
      strokeLinecap="round"
      strokeLinejoin="round"
    >
      <circle cx="12" cy="12" r="1" />
      <circle cx="19" cy="12" r="1" />
      <circle cx="5" cy="12" r="1" />
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  stroke: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  stroke: theme.colors.black
}
