import React from 'react'
import PropTypes from 'prop-types'

const SVG = ({ className, size }) => {
  return (
    <svg className={className} width={size} height={size} viewBox="0 0 32 32" version="1.1">
      <g
        id="product-vision--colored--lg"
        stroke="none"
        strokeWidth="1"
        fill="none"
        fillRule="evenodd"
      >
        <circle id="Oval" fill="#525F9E" fillRule="nonzero" cx="14" cy="14" r="14" />
        <circle id="Oval" fill="#9AB2E8" fillRule="nonzero" opacity="0.5" cx="22" cy="22" r="10" />
      </g>
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  size: PropTypes.string.isRequired
}
