import React from 'react'
import PropTypes from 'prop-types'
import theme from '../../../../themes/theme'

const SVG = ({ className, size, stroke }) => {
  return (
    <svg className={className} width={size} height={size} viewBox="0 0 24 24" version="1.1">
      <desc>Created with Sketch.</desc>
      <g
        id="custom-search"
        stroke="none"
        strokeWidth="1"
        fill="none"
        fillRule="evenodd"
        strokeLinecap="round"
      >
        <circle
          id="Oval"
          stroke={stroke}
          strokeWidth="1.5"
          transform="translate(10.378680, 10.378680) rotate(-45.000000) translate(-10.378680, -10.378680) "
          cx="10.3786797"
          cy="10.3786797"
          r="4.5"
        />
        <path
          d="M15.6819805,12.6819805 L15.6819805,18.574996"
          id="Line"
          stroke={stroke}
          strokeWidth="1.5"
          transform="translate(15.681981, 15.681981) rotate(-45.000000) translate(-15.681981, -15.681981) "
        />
      </g>
    </svg>
  )
}

export default SVG

SVG.propTypes = {
  stroke: PropTypes.string,
  size: PropTypes.string.isRequired
}

SVG.defaultProps = {
  stroke: theme.colors.black
}
