import React from 'react'
import PropTypes from 'prop-types'
import theme from 'theme'
import { svgProps } from '../Icon.utils'

const TrendUp = ({ className, fill, size }) => {
  return (
    <svg {...svgProps({ className, size })} viewBox="0 0 17 10" preserveAspectRatio="xMinYMin meet">
      <g id="icon-trend-up" stroke="none" strokeWidth="1" fill="none" fillRule="evenodd" transform="translate(0,4)">
        <g>
          <path d="M15.6667 1L9.33334 7.33328L6.00001 3.99998L1 8.99994M15.6667 1H11.6667M15.6667 1V4.99997" stroke={fill} strokeWidth="2" strokeLinecap="round" strokeLinejoin="round" />
        </g>
      </g>
    </svg>
  )
}

export default TrendUp

TrendUp.propTypes = {
  fill: PropTypes.string,
  size: PropTypes.string.isRequired
}

TrendUp.defaultProps = {
  fill: theme.colors.black
}
