// Libraries
import React, { PureComponent } from 'react'
import PropTypes from 'prop-types'

class Image extends PureComponent {
  static defaultProps = {
    role: 'img',
    style: {}
  }

  static propTypes = {
    src: PropTypes.string.isRequired,
    alt: PropTypes.string.isRequired,
    role: PropTypes.string,
    style: PropTypes.shape({ height: PropTypes.string, width: PropTypes.string })
  }

  render() {
    const {
      src, alt, role, style
    } = this.props
    return <img src={src} alt={alt} role={role} style={style} />
  }
}
export default Image
