/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import Layout from './index'
import Card from '../Card'

addDecorator(withA11y)

storiesOf('Layout', module)
  .addParameters({
    jest: ['Layout']
  })
  .add('column cards', () => (
    <Layout container direction="column">
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
    </Layout>
  ))
  .add('row cards', () => (
    <Layout container>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
      <Layout item>
        <Card>Hello World</Card>
      </Layout>
    </Layout>
  ))
