/* global test shallow expect */

import React from 'react'
import { BrowserRouter as Router } from 'react-router-dom'
import renderer from 'react-test-renderer'

import Link from './index'

test('Link matches snapshot', () => {
  const wrapper = shallow(
    <Router>
      <Link to="#">Body</Link>
    </Router>
  )

  expect(wrapper).toMatchSnapshot()
})

test('render a Link without children', () => {
  const LinkComponent = renderer.create(
    <Router>
      <Link to="/link-whateverw" title="Hi, I'm a link" target="_blank" />
    </Router>
  ).toJSON()
  expect(LinkComponent).toMatchSnapshot()
})

test('render a Link with external link', () => {
  const LinkComponent = shallow(
    <Router>
      <Link to="https://google.com" target="_blank" />
    </Router>
  )
  expect(LinkComponent).toMatchSnapshot()
})
