/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { BrowserRouter } from 'react-router-dom'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'

// Components
import Link from './index'

addDecorator(withA11y)

storiesOf('Link', module)
  .add('Link for react router with the "to" prop and children data', () => (
    <BrowserRouter>
      <Link to="#/link/appp">Hey I'm a link from the app</Link>
    </BrowserRouter>
  ))
  .add('Link for react router but with no children data', () => (
    <BrowserRouter>
      <Link to="#/link/appp" title="Hey I'm a link from the app" />
    </BrowserRouter>
  ))
  .add('Link for react router but with no children data and target mode', () => (
    <BrowserRouter>
      <Link to="#/link/appp" title="Hey I'm a link from the app" target="_blank" />
    </BrowserRouter>
  ))
  .add('Link is a without react router for external link', () => (
    <Link to="https://google.com" target="_blank">Go link</Link>
  ))
  .add('Link is a without react router for external link wihout chidren data', () => (
    <Link to="https://google.com" target="_blank" />
  ))
