import styled from 'styled-components'
import theme from 'theme'

export const MessagingContainer = styled.div`
   position: fixed;
   width: 75%;
   z-index: 9999;
   padding-top: 1em;
   left: 0;
   right: 0;
   margin: 0 auto;
`

export const Container = styled.div`
   position: relative;
   margin-left: auto;
   margin-right: auto;
   padding-right: 15px;
   padding-left: 15px;
`

export const MessageText = styled.div`
  font-family: ${theme.text.fontFamily.default};
`

const Messages = styled.div`
 .alert {
   padding: 0.75rem 1.25rem;
   margin-bottom: 1rem;
   border: 1px solid transparent;
   z-index: 1040;
 }
 
 .alert-heading {
   color: inherit;
 }
 
 .alert-link {
   font-weight: bold;
 }
 
 .alert-dismissible .close {
   position: relative;
   top: -0.75rem;
   right: -1.25rem;
   padding: 0.75rem 1.25rem;
   color: inherit;
 }
 
 .alert-success {
   background-color: ${theme.messages.color.successBackground};
   border-color: ${theme.messages.color.successBorder};
   color: ${theme.messages.color.success};
 }
 
 .alert-info {
   background-color: ${theme.messages.color.infoBackground};
   border-color: ${theme.messages.color.infoBorder};
   color: ${theme.messages.color.info};
 }
 
 .alert-warning {
  background-color: ${theme.messages.color.warningBackground};
  border-color: ${theme.messages.color.warningBorder};
  color: ${theme.messages.color.warning};
 }
 
 .alert-danger {
  background-color: ${theme.messages.color.dangerBackground};
  border-color: ${theme.messages.color.dangerBorder};
  color: ${theme.messages.color.danger};
 }

 .d-flex {
   display: flex !important;
 }

 .justify-content-between {
   justify-content: space-between !important;
 }

 .float-right {
   float: right !important;
 }

 .btn-sm{
   padding: 0.25rem 0.5rem;
   font-size: 0.875rem;
 }

 .btn-outline-success-custom {
   color: ${theme.messages.color.successOutline};
   background-image: none;
   background-color: transparent;
   border-color: ${theme.messages.color.successOutline};
 }
 .btn-outline-success-custom:hover {
   color: ${theme.messages.color.successOutline};
   background-color: ${theme.messages.color.white};
   border-color: ${theme.messages.color.successOutline};
 }

 .mr-1 {
   margin-right: 0.25rem !important;
   white-space: nowrap;
 }
`

export default {
  Messages
}
