import styled from 'styled-components'
import theme from 'theme'

export const ModalOverlayer = styled.div`
  display: block;
  position: fixed;
  width:100%;
  height:100%;
  left: 0;
  top:0;
  z-index: 999;
  background-color: rgba(23,33,44,0.5);
`
export const ModalContainer = styled.div`
  display: flex;
  flex-direction: column;
  position: fixed;
  width: calc(100% - 20px);
  max-width: 800px;
  max-height: 654px;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  padding: 28px 48px;
  background-color: white;
  box-shadow: 0 1px 3px 0 ${theme.colors.gray.transparent['100']}, 0 4px 32px 0 ${theme.colors.gray.transparent['100']};
  border-radius: 8px;
  z-index:1000;
`

export const ModalContent = styled.div`
  padding: 24px 0;
  overflow: hidden;
  overflow-y: auto;
`
export const ModalHeader = styled.div`
  display: flex;
  border-bottom: 1px solid ${theme.colors.gray.transparent['200']};
  padding-bottom: 24px;
  align-items: center;
  justify-content: space-between;
  
  > div{
    padding: 0;
  }

  h1{
    padding:0;
    margin: 0;
  }
  
  > button{
    border-radius: 50%;
    padding: 0;
    width: 40px;
    height: 40px;
    line-height: 1;
    margin: auto;
    margin-right: -10px;
  }
`
export const ModalFooter = styled.div`
  display: flex;
  position: relative;
  flex-direction: row;
  align-items: center;
  justify-content: ${props => (props.rightButtons ? 'space-between' : 'flex-end')};
  border-top: 1px solid ${theme.colors.gray.transparent['200']};
  padding: 24px 0 4px 0;
  min-height: 56px;
`

export const ModalLeftButtons = styled.div`
  button{
   margin-left: 10px; 
  }
`
export const ModalBreadcrumb = styled.div`
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
`
