import styled from 'styled-components'
import theme from 'theme'

// eslint-disable-next-line import/prefer-default-export
export const Option = styled.li`
  display: block;
  text-align: left;
  position: relative;
  width: 100%;
  min-height: 40px;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  padding: 8px 16px;
  font-size: 14px;
  font-weight: ${({ group }) => (group ? 'bold' : '')};
  line-height: 24px;
  background-color: ${({ isSelected }) => (isSelected ? '#EBEDEF' : 'transparent')};
  color: ${({ isSelected }) => (isSelected ? theme.colors.primary[500] : theme.text.color[500])};
  cursor: ${({ group }) => (!group ? 'pointer' : '')};
  outline: 0;
  svg {
    position: absolute;
    left: 5px;
    stroke: ${({ isSelected, isOptionOnFocus }) => (isSelected && isOptionOnFocus ? 'white' : theme.select.default.color)};
  }
  
  ${({ group }) => (!group ? `
    &.focus,
    &:hover {
      background-color: #EBEDEF;
      color: ${({ isSelected }) => (isSelected ? theme.colors.primary[500] : theme.text.color[500])};
    }
    ` : '')
}

`
