import React from 'react'
import PropTypes from 'prop-types'
import * as Styles from './Option.styles'

export default function Option(props) {
  const {
    children,
    index,
    selected,
    onClick,
    optionOnFocus,
    group
  } = props
  return (
    <Styles.Option
      key={`option_${index}`}
      id={`option_${index}`}
      name={`option_${index}`}
      role="option"
      aria-labelledby={`option_${index}`}
      isSelected={selected === index}
      isOptionOnFocus={optionOnFocus === index}
      onClick={onClick}
      size="large"
      tabIndex={index}
      className={optionOnFocus === index ? 'focus' : null}
      group={group}
    >
      {
        children
      }
    </Styles.Option>
  )
}
Option.defaultProps = {
  children: null,
  index: 0,
  selected: 0,
  onClick: () => {},
  optionOnFocus: null,
  group: false
}
Option.propTypes = {
  children: PropTypes.node,
  index: PropTypes.number,
  selected: PropTypes.number,
  onClick: PropTypes.func,
  optionOnFocus: PropTypes.number,
  group: PropTypes.bool
}
