/* global test shallow expect */

import React from 'react'
import { BrowserRouter } from 'react-router-dom'
import OrganizationCard from './index'

const mockData = {
  organizationName: 'Acme',
  totalEmployees: '7826 employees'
}

const makeSimpleShallow = (component) => {
  const wrapper = shallow(component)
  expect(wrapper).toMatchSnapshot()
}

test('render OrganizationCard', () => {
  makeSimpleShallow(<OrganizationCard {...mockData} />)
})

test('OrganizationCard with no employees', () => makeSimpleShallow(
  <BrowserRouter>
    <div style={{ maxWidth: '325px' }}>
      <OrganizationCard
        {...mockData}
        totalEmployees={null}
      />
    </div>
  </BrowserRouter>
))
test('OrganizationCard with employees', () => makeSimpleShallow(
  <div style={{ maxWidth: '325px' }}>
    <OrganizationCard
      {...mockData}
    />
  </div>
))
