/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { BrowserRouter } from 'react-router-dom'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, text, number } from '@storybook/addon-knobs'

// Components
import OrganizationCard from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('OrganizationCard', module)
  .addParameters({
    jest: ['OrganizationCard'],
  })
  .add('OrganizationCard', () => (
    <BrowserRouter>
      <div style={{ maxWidth: '325px' }}>
        <OrganizationCard
          organizationName={text('Name', 'Acme')}
          totalEmployees={number('Total Employee', 12342)}
        />
      </div>
    </BrowserRouter>
  ))
