/* global test shallow expect */
import React from 'react'
import RadioButton from './index'
import { RadioInputContainer, RadioInput } from './RadioButton.styles'

const options = [
  { value: 'Option 1', label: 'This is the label', helpText: 'This is the help text' },
  { value: 'Option 2', label: 'This is the label', helpText: 'This is the help text' },
  { value: 'Option 3 - Selected', label: 'This is the label', helpText: 'This is the help text' },
]

const handleChange = jest.fn(() => {})

const wrapper = shallow(<RadioButton options={options} onChange={handleChange} />)

test('Render with options should be render 3 RadioInputContainer', () => {
  expect(wrapper.find(RadioInputContainer)).toHaveLength(3)
})

test('Checking the radio should be call handler', () => {
  const input = wrapper.find(RadioInput).first()
  const mockedEvent = { target: {} }
  input.simulate('change', mockedEvent)
  expect(handleChange).toHaveBeenCalledTimes(1)
  expect(handleChange).toHaveBeenCalledWith('Option 1', mockedEvent) // We are getting the value
  expect(input.props()).toHaveProperty('name', 'radio')
})

test('Rendering the radio with a custom name attr should be render the input with the attr', () => {
  wrapper.setProps({ name: 'myCustomName' })
  const input = wrapper.find(RadioInput).first()
  expect(input.props()).toHaveProperty('name', 'myCustomName')
})
