// Libraries
import React from 'react'
// eslint-disable-next-line import/no-extraneous-dependencies
import { storiesOf, addDecorator } from '@storybook/react'
// eslint-disable-next-line import/no-extraneous-dependencies
import { withA11y } from '@storybook/addon-a11y'
// eslint-disable-next-line import/no-extraneous-dependencies
import { withKnobs, text, boolean, number, select } from '@storybook/addon-knobs'
import ScoreProgressBar from 'components/ScoreProgressBar/index'

storiesOf('Tooltip', module)


addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('Score Progress Bar', module)
  .addParameters({
    jest: ['ScoreProgressBar'],
  })
  .add('Score Progress Bar with small size', () => {
    return (
      <div>
        <ScoreProgressBar score={number("score", 4)} />
      </div>
    )
  })
  .add('Score Progress Bar with medium size', () => {
    return (
      <div>
        <ScoreProgressBar
          score={number("score", 4)}
          size={select("size", ['small', 'medium', 'default'], 'medium')}
        />
      </div>
    )
  })
  .add('Score Progress Bar with default size', () => {
    return (
      <div>
        <ScoreProgressBar
          score={number("score", 4)}
          size={select("size", ['small', 'medium', 'default'], 'default')}
        />
      </div>
    )
  })
  .add('Score Progress Bar with different text', () => {
    return (
      <div>
        <ScoreProgressBar headerDescription={text('headerDescription', "Header Description")}/>
      </div>
    )
  })
  .add('Score Progress Bar with all props', () => {
    return (
      <div>
        <ScoreProgressBar
          bodyPadding={text('bodyPadding', '0 10px')}
          isHeader={boolean('isHeader', true)}
          score={number('score', 10)}
          headerDescription={text('headerDescription', 'Human Risk Score')}
          min={number('min', 0)}
          max={number('max', 10)}
          size={select("size", ['small', 'medium', 'default'], 'default')}
          hasIndicatorBox={boolean('hasIndicatorBox', false)}
          invert={boolean('invert', true)}
          showCircle={boolean('showCircle', true)}
          sameColor={boolean('sameColor', false)}
          padding={boolean('padding', true)}
          isActionFactorChart={boolean('isActionFactorChart', false)}
        />
      </div>
    )
  })
