/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withState } from '@dump247/storybook-state'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs, boolean } from '@storybook/addon-knobs'

// Components
import SearchInput from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

const state = {
  searchValue: ''
}

storiesOf('SearchInput', module)
  .addParameters({
    jest: ['SearchInput']
  })
  .add(
    'SearchInput',
    withState(state)(({ store }) => (
      <SearchInput
        value={store.state.searchValue}
        handleSearch={value =>
          store.set({
            searchValue: value
          })
        }
        isClearable={boolean('Is search clearable', true)}
        clearSearch={() =>
          store.set({
            searchValue: ''
          })
        }
      />
    ))
  )
