import React from 'react'
import styled from 'styled-components'
import UncontrolledInput from '../Input'

export const SearchInputWrapper = styled('div')`
  position: relative;
  width: 100%;
  max-width: 310px;
`

export const StyledInput = styled(UncontrolledInput)`
  background-color: #eef0f3;
  width: 310px;
  border: none;
  padding-left: 40px;
  padding-right: 40px;

  height: 40px;
  min-width: 250px;
  border-radius: 4px;
  color: #565d66;
  font-size: 14px;
  ::placeholder {
    color: #7b828a;
    opacity: 1;
  }
  :focus {
    background: #eef0f3;
    border: 1px solid #0c7d84;
    box-shadow: 0 0 4px #0c7d84;
    outline: none;
  }
`

export const ClearSearchIcon = styled('span')`
  svg {
    stroke: white;
    stroke-width: 3px;
    position: absolute;
    top: 50%;
    right: 16px;
    transform: translateY(-50%);
    z-index: 1;
    width: 15px !important;
    height: 15px !important;
    background-color: #7e8691;
    border-radius: 50%;
    padding: 3px;
    cursor: pointer;
  }
`
