/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'


// Components
import SubscriptionCard from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

const cards = [
  {
    title: 'Vision',
    description: 'Organizational insights',
    icon: 'ProductVisionColored',
    onClick: () => {
      console.log('vision')
    }
  },
  {
    title: 'Pulse',
    description: 'Personalized Security scorecard',
    icon: 'ProductPulseColored',
    onClick: () => {
      console.log('Pulse')
    }
  },
  {
    title: 'Reflex',
    description: 'Phishing Simulator',
    icon: 'ProductReflexColored',
    onClick: () => {
      console.log('Reflex')
    }
  },
  {
    title: 'Hacker’s Mind',
    description: 'Gamified targeted training',
    icon: 'ProductHMGreyscale',
    active: false,
    onClick: () => {
      console.log('Hacker’s Mind')
    }
  }
]

storiesOf('SubscriptionCard', module)
  .addParameters({
    jest: ['SubscriptionCard'],
  })
  .add('SubscriptionCard', () => (
    <div style={{ maxWidth: '694px' }}>
      <SubscriptionCard cards={cards} />
    </div>
  ))
