import styled from 'styled-components'


export const SubscriptionCard = styled.div`
  > section{
    padding: 15px;
  }

  h2,
  h3,
  span{
    margin: 0;
  }

  h3{
    display: flex;
    align-items: center;
    line-height: 19px;
    svg{
      width: 16px;
      height: 16px;
      border-radius: 50%;
      background-color: #CED4DE;
      margin: 0 6px;
    }
  }
  span{
    font-size: 13px;
  }

  .header{
    padding-bottom: 30px;
    small,
    a{
      font-size: 15px;
    }
  }
  .uppercase{
    text-transform: uppercase;
    font-size: 12px;
  }
  .icon{
    width: 48px;
    height: auto;
    margin: 0 16px 0 0;
  }
  .cards{
    padding-top: 13px;
  }
  .card{
    cursor: pointer;
    border-radius: 6px;
    padding: 10px 8px 8px 10px;
    align-items: center;
    &:hover{
      background-color: rgba(188,197,208,0.15);
    }
    &.disable{
      opacity: 0.5;
      cursor: default;
      &:hover{
        background-color: none;
      }
      
    }
  }
`
export default {
  SubscriptionCard
}
