import React from 'react'
import PropTypes from 'prop-types'
import * as Styles from './Tab.styles'

export default function Tab({ children, index, isSelected }) {
  return (
    <Styles.TabPanel
      id={'tabpanel_{index}'}
      name={`tabpanel_${index}`}
      role="tabpanel"
      aria-labelledby={`tab_${index}`}
      aria-hidden={!isSelected()}
    >
      {
        children
      }
    </Styles.TabPanel>
  )
}

Tab.defaultProps = {
  children: null,
  index: 0,
  isSelected: () => {}
}

Tab.propTypes = {
  children: PropTypes.node,
  index: PropTypes.number,
  isSelected: PropTypes.func
}
