/* global test shallow expect */
import React from 'react'

// Components
import Tabs from './index'
import Tab from '../Tab'

test('render Tabs', () => {
  const wrapper = shallow(
    <Tabs>
      <Tab title="Tab title">
        Tab Content
      </Tab>
    </Tabs>
  )
  expect(wrapper).toMatchSnapshot()
})

test('tab click change Tabs index', () => {
  const handler = (e) =>{
    expect(e).toBe(1)
  }
  const wrapper = shallow(
    <Tabs  onChange={(e)=>handler(e)} currentTabIndex={0}>
      <Tab title="Tab title">
        Tab Content
      </Tab>
      <Tab title="Tab title 2">
        Tab2 Content
      </Tab>
    </Tabs>
  )
  wrapper.find('#tab_1').simulate('click',{preventDefault: () => {}})
})

test('prop value changes selected tab index', () => {
  const handlerTabs = (n) =>{
    expect(n).toBe(2)
  }
  const wrapper = shallow(
    <Tabs  onChange={(n)=>handlerTabs(n)} currentTabIndex={0}>
      <Tab title="Tab title">
        Tab Content
      </Tab>
      <Tab title="Tab title 2">
        Tab2 Content
      </Tab>
      <Tab title="Tab title 3">
        Tab3 Content
      </Tab>
    </Tabs>
  )
  wrapper.setProps({ currentTabIndex: 2 })
})