import styled from 'styled-components'

import theme from 'theme'

import {
  A
} from '../Typography'

export const TabsContainer = styled.div`
  display: block;
`

export const TabsHeaderContainer = styled.ul`
  margin: 0 11px;
  padding-left: 0px;
  white-space:nowrap;

  list-style-type: none;
  border-bottom: 1px solid ${theme.tabs.borderColor};
`

export const TabsHeader = styled.li`
  display: inline-block;
  height: auto;
  margin-bottom: -1px;

  line-height: 32px;
  
  cursor: pointer;
`

export const TabsHeaderLink = styled(A)`
  margin-right: ${`${theme.spacer[6]}px`};
  
  display: inline-block;
  line-height: 32px;
  padding-bottom: 0;

  font-weight: ${theme.tabs.fontWeight.default};
  transition: color ease-out 125ms;  
  color: ${theme.tabs.color.default};
  text-decoration:none;
  
  &[aria-selected="true"] {
    font-weight: ${theme.tabs.fontWeight.selected};
    border-bottom: 3px solid ${theme.tabs.color.active};
    color: ${theme.tabs.color.active}
  }
  
  &:focus {
    outline: none;
  }
  
  &:hover {
    color: ${theme.tabs.color.active}
  }
`

export const TabsPanelContainer = styled.div`
  display: block;
  width: 100%;
`

export default {
  TabsContainer,
  TabsHeaderContainer,
  TabsHeader,
  TabsHeaderLink,
  TabsPanelContainer
}
