/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import styled from 'styled-components'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'

// Components
import TimelineBlock from './index'
import { Button } from '../Button'
import Card from '../Card'
import Layout from '../Layout'

const PaddingContainer = styled.div`
  padding-bottom: 19px;
`

addDecorator(withA11y)
addDecorator(withKnobs)


storiesOf('TimelineBlock', module)
  .addParameters({
    jest: ['TimelineBlock'],
  })
  .add('TimelineBlock', () => (
    <Layout md={7}>
      <Card
        header="Finish setting up your account"
        noMargin
        boldHeader
      >
        <PaddingContainer>
          <TimelineBlock
            label="Enter organization details"
            hasNext
            isDone
            btnLabel="Edit"
          />
          <TimelineBlock
            label="Personnalize your team"
            btnLabel="Import Employees"
            isCurrent
          />
        </PaddingContainer>
      </Card>
    </Layout>
  ))
  .add('finished event', () => (
    <TimelineBlock
      label="Personnalize your team"
      btnLabel="Edit"
      isDone
    />
  ))
  .add('has next event', () => (
    <TimelineBlock
      label="Personnalize your team"
      btnLabel="Import Employees"
      hasNext
    />
  ))
  .add('is current event', () => (
    <TimelineBlock
      label="Personnalize your team"
      btnLabel="Import Employees"
      isCurrent
    />
  ))
