import styled from 'styled-components'
import styledMap from 'styled-map'

import theme from 'theme'

export const EventContainer = styled.div`
  display: flex;
  flex-direction: row;
  padding: ${theme.spacer[3]}px ${theme.spacer[6]}px;
  align-items: center;
  justify-content: space-between;
  background-color: ${styledMap`
    default: ${theme.colors.bg.transparent};
    isCurrent: ${theme.colors.bg.gray};
  `};
  flex-wrap: wrap;
  position: relative;
`

export const RowContainer = styled.div`
  display: flex;
  flex-direction: row;
  align-items: center;
  min-width: 60px;
`

export const EventLabel = styled.p`
  margin: 0 0 0 ${theme.spacer[2]}px;
  font-family: ${theme.text.fontFamily.default};
  color: ${styledMap`
    default: ${theme.timeline.label.colors.default};
    isDone: ${theme.timeline.label.colors.isDone};
  `};
`

export const TimeLine = styled.span`
  height: 30px;
  width: 2px;
  background-color: #0C7D84;
  opacity: 0.25;
  position: absolute;
  bottom: -13px;
  left: 35px;
  z-index: 2;
`

// export const EventContainer = styled.div`${props => EventContainerStyle(props)}`

export default {
  EventContainer,
  EventLabel,
  RowContainer,
}
