/* global test shallow expect */

import React from 'react'

import { Button } from '../Button'
import TimelineCard from './index'

const stepOne = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: true,
    isDone: false,
    button: () => <Button size="sm">Edit details</Button>
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: false,
    isDone: false,
  }
]

const stepTwo = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: false,
    isDone: true,
    button: () => <Button theme="ghost" size="sm">Edit</Button>
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: true,
    isDone: false,
    button: () => <Button size="sm">Import Employees</Button>
  }
]

const stepThree = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: false,
    isDone: true,
    button: () => <Button theme="ghost" size="sm">Edit</Button>
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: false,
    isDone: true,
    button: () => <Button theme="ghost" size="sm">View Employees</Button>
  }
]


test('default TimelineCard', () => {
  const wrapper = shallow(
    <TimelineCard settings={stepOne} />
  )
  expect(wrapper).toMatchSnapshot()
})


test('TimelineCard with organization details', () => {
  const wrapper = shallow(
    <TimelineCard settings={stepTwo} />
  )
  expect(wrapper).toMatchSnapshot()
})

test('TimelineCard completed', () => {
  const wrapper = shallow(
    <TimelineCard
      settings={stepThree}
      isComplete
      title="Congratulations, your account is set up"
    />
  )
  expect(wrapper).toMatchSnapshot()
})
