/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'


// Components
import TimelineCard from './index'
import { Button } from '../Button'


addDecorator(withA11y)
addDecorator(withKnobs)

export const stepOne = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: true,
    isDone: false,
    btnLabel: 'Edit details',
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: false,
    isDone: false,
    btnLabel: 'Import Employees',
  }
]

export const stepTwo = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: false,
    isDone: true,
    btnLabel: 'Edit'
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: true,
    isDone: false,
    btnLabel: 'Import Employees',
  }
]

export const stepThree = [
  {
    label: 'Enter organization details',
    hasNext: true,
    isCurrent: false,
    isDone: true,
    btnLabel: 'Edit',
  },
  {
    label: 'Import your employees',
    hasNext: false,
    isCurrent: false,
    isDone: true,
    btnLabel: 'View Employees',
  }
]

storiesOf('TimelineCard', module)
  .addParameters({
    jest: ['TimelineCard'],
  })
  .add('default TimelineCard', () => (
    <div style={{ maxWidth: '695px' }}>
      <TimelineCard settings={stepOne} />
    </div>
  ))
  .add('TimelineCard with organization details', () => (
    <div style={{ maxWidth: '695px' }}>
      <TimelineCard settings={stepTwo} />
    </div>
  ))
  .add('TimelineCard completed', () => (
    <div style={{ maxWidth: '695px' }}>
      <TimelineCard
        settings={stepThree}
        isComplete
        onDismiss={() => console.log('dismissed')}
      />
    </div>
  ))
