import styled from 'styled-components'
import theme from 'theme'

export const TimelineCard = styled.div`
  margin: 20px;
  max-height: 500px;
  transition-property: all;
  transition-duration: .5s;
  transition-timing-function: cubic-bezier(0, 1, 0.5, 1);
  p{
    font-weight: ${theme.text.fontWeight.normal}
  }
  button{
    font-size: 15px;
  }
  > section{
    padding: 24px 0 24px;
    margin: 0;
    > div{
      margin: 0;
    }
   
  }
  h2{
    margin: 0;
    padding:0 0 5px 30px;
  }
  .btn-dismiss{
    padding: 15px 25px 0;
    button{
      width: 100%;
      box-sizing: border-box;
    }
  }
  /* ANIMATION */
  &.close-card{
    overflow-y: hidden;
    max-height: 0;
  }
`

export default {
  TimelineCard
}
