/* eslint-disable import/no-extraneous-dependencies */

// Libraries
import React, { useState, useEffect } from 'react'
import { storiesOf, addDecorator } from '@storybook/react'
import { withA11y } from '@storybook/addon-a11y'
import { withKnobs } from '@storybook/addon-knobs'

// Components
import Toggle from './index'

addDecorator(withA11y)
addDecorator(withKnobs)

storiesOf('Toggle', module)
  .addParameters({
    jest: ['Toggle'],
  })
  .add('Toggle with label', () => (
    <div style={{ padding: '20px' }}>
      <Toggle onChange={e => console.log(e)} name="toggle" label="Phishing" />
    </div>
  ))
  .add('Toggle with no label', () => (
    <div style={{ padding: '20px' }}>
      <Toggle onChange={e => console.log(e)} name="toggle" />
    </div>
  ))
  .add('Toggle with checked true ', () => (
    <div style={{ padding: '20px' }}>
      <Toggle onChange={e => console.log(e)} name="toggle" label="Phishing" checked />
    </div>
  ))
  .add('Toggle disabled ', () => (
    <div style={{ padding: '20px' }}>
      <Toggle onChange={e => console.log(e)} name="toggle" label="Phishing" checked disabled />
      <br />
      <Toggle onChange={e => console.log(e)} name="toggle" label="Phishing" disabled />
    </div>
  ))

  .add('Toggle update checked property without the event onChange ', () => {
    function SimpleComponent() {
      const [checked, setChecked] = useState(true)
      useEffect(() => setTimeout(() => setChecked(!checked), 1000), [])
      return (
        <div style={{ padding: '20px' }}>
          <Toggle onChange={e => console.log(e)} name="toggle" label="Phishing" checked={checked} />
        </div>
      )
    }
    return <SimpleComponent />
  })
