import styled from 'styled-components'
import theme from 'theme'


export const Container = styled.div`
  display: flex;
  width: auto;
  flex-wrap: wrap;
  align-items: center;
  opacity: ${({ disabled }) => (disabled ? '0.7' : 1)}
`
export const Content = styled.div`
  position: relative;
  background-color: ${theme.colors.gray.opaque[300]};
  width: 40px;
  height: 24px;
  border-radius: 15px;
  overflow: visible;
`
export const Bullet = styled.div`
  position: absolute;
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  transition: background ease-in-out 250ms;
  border-radius: 15px;
  
  & > svg, &::before {
    position: absolute;
    top: 3px;
    left: 3px;
    width: 18px;
    height: 18px;
    transition: left ease-in-out 250ms;
  }
  
  & > svg {
    z-index: 1;
  }

  &::before {
    display: block;
    content: "";
    border-radius: 50%;
    background-color: white;
    border:1px solid ${theme.colors.border.opaque.light};
    left: 3px;
    top: 3px;
    cursor: pointer;
    overflow: visible;
  }
`

export const CheckBox = styled.input.attrs({ type: 'checkbox' })`
 position: absolute;
 z-index:2;
 opacity: 0;
 width: 100%;
 height: 100%;
 cursor: pointer;
 &:checked + div:before{
  left: 18px;
  background-color: transparent;
 }
 &:checked + div{
  background-color: ${theme.text.color.linkHover};
   > svg {
    left: 18px;
   }
 }

 &:disabled{
  cursor: not-allowed;
 }
 
 &:checked:disabled + div{
  background-color: ${theme.colors.gray.opaque[300]};
 }
`

export const LabelText = styled.span`
  color: ${theme.text.color.default};
  font-size: ${theme.text.fontSize.default};
  padding: 2px 10px;
`
