/* eslint-disable import/no-extraneous-dependencies */
/* eslint-disable global-require */
import styled, { createGlobalStyle } from 'styled-components'

import 'tippy.js/dist/tippy.css'
import 'tippy.js/themes/light.css'
import 'tippy.js/themes/light-border.css'

const borderColor = '#C9CFD6'

export const TippyGlobalStyle = createGlobalStyle`
  /* override border color in case of light-border theme */
  .tippy-tooltip.light-border-theme {
    border-color: ${borderColor} !important;
    &[data-placement='top'] > .tippy-arrow::before {
      border-top: 7px solid ${borderColor} !important; 
    }
    &[data-placement='bottom'] > .tippy-arrow::before {
      border-bottom: 7px solid ${borderColor} !important; 
    }
    &[data-placement='right'] > .tippy-arrow::before {
      border-right: 7px solid ${borderColor} !important; 
    }
    &[data-placement='left'] > .tippy-arrow::before {
      border-left: 7px solid ${borderColor} !important; 
    }
  }
`

export const TooltipContainer = styled.div`
  padding: ${props => props.paddingY}px ${props => props.paddingX}px;
  ${props => (props.showPrimaryButton ? 'min-width: 248px; min-height: 118px;' : '')}
`

export const TooltipBodyContainer = styled.div`
  display: flex;
`

export const TooltipFooter = styled.div`
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  margin-top: 16px;
`

export const TooltipStep = styled.span`
  margin-right: auto;
`
export const TooltipClose = styled.div`
  margin: -7px 0 2px 16px;
`
export const CloseButton = styled.button`
  background: transparent;
  border: none !important;
  font-size:0;
  padding-right: 0;
  padding-left: 0;
`

export default {
  TooltipContainer,
  TooltipFooter,
  TooltipStep,
}
