import styled from 'styled-components'
import styledMap from 'styled-map'

// Theme
import theme from 'theme'

export const Display = styled.p`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.mega};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const H1 = styled.h1`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.xxxlg};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const H2 = styled.h2`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.xxlg};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const H3 = styled.h3`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.xlg};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const H4 = styled.h4`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.lg};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const H5 = styled.h5`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.md};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const Body = styled.p`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  margin-bottom: ${styledMap('marginBottom', theme.text.marginBottom)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.md};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const Text = styled.span`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.md};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const Caption = styled.caption`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.sm};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const Small = styled.small`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.xsm};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export const A = styled.a`
  font-family: ${styledMap('fontFamily', theme.text.fontFamily)};
  font-weight: ${styledMap('fontWeight', theme.text.fontWeight)};
  line-height: ${styledMap('lineHeight', theme.text.lineHeight)};
  color: ${styledMap('color', theme.text.color)};
  font-size: ${theme.text.fontSize.md};
  margin: ${props => props.margin};
  padding: ${props => props.padding};
  -webkit-font-smoothing: antialiased;
`

export default {
  Display,
  H1,
  H2,
  H3,
  H4,
  H5,
  Body,
  Text,
  Caption,
  Small,
  A
}
