const path = require('path')

module.exports = {
  entry: './src/index.js',
  module: {
    rules: [
      {
        test: /\.js$/,
        use: {
          loader: 'babel-loader',
        },
      },
      {
        test: /\.css/,
        use: [
          { loader: 'style-loader' },
          { loader: 'css-loader' }
        ],
      },
      {
        test: /\.(png|gif|jpg|svg|ttf|eot|woff|woff2|svg)$/,
        use: {
          loader: 'url-loader',
          options: {
            limit: false,
          },
        },
      },
    ],
  },
  output: {
    filename: 'index.js',
    path: path.resolve(__dirname, '../', 'dist'),
    library: 'Elevate',
    libraryTarget: 'umd',
    umdNamedDefine: true
  },
  plugins: [],
  resolve: {
    extensions: ['.css', '.scss', '.js', '.json', '.png', '.gif', '.jpg', '.svg']
  }
}
